﻿/*
 * [File]
 * frmFiverrComScraper.cs
 *
 * [Function]
 * scrape fiverr.com, added emulate login google, emulate google alerts
 *
 * [Note]
 *
 * [update]
 * 2013-03-18
 *
 * [Author]
 * Crifan Li
 *
 * [Contact]
 * http://www.crifan.com/contact_me/
 *
 * [History]
 */

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using Sgml;
using System.Xml;
using System.IO;
using System.Web;
using System.Net;
using Excel = Microsoft.Office.Interop.Excel;
using Microsoft.Office.Interop.Excel;

using System.Text.RegularExpressions;
//using fastJSON;
//using Newtonsoft.Json;
using System.Web.Script.Serialization;
using System.Globalization;

/*
 * icons:
 * 
 * search/find
 * http://www.easyicon.cn/icondetail/106/
 * 
 * stop
 * http://www.easyicon.cn/icondetail/568811/
 * 
 * excel
 * http://www.easyicon.cn/icondetail/1087666/
 * 
 * csv
 * http://www.easyicon.cn/icondetail/558199/
 * 
 * help
 * http://www.easyicon.cn/icondetail/12270/
 */

namespace FiverComScraper
{
    public partial class frmFiverrComScraper : Form
    {
        public crifanLib crifanLib;
        public DataGridViewButtonColumn gigUrlColumn = null;
        public static int girUrlColumnIdx = 12;

        //need get more gig to scrape or not
        bool needGetMore = true;

        bool bWorkNotCompleted = true;

        private string curRespHtml = "";

        enum search_status
        {
            SEARCH_STATUS_STOPPED,
            SEARCH_STATUS_SEARCHING,
            SEARCH_STATUS_PAUSED
        };
        search_status curSearchStatus = search_status.SEARCH_STATUS_STOPPED;

        public struct search_info
        {
            public int pageNum;
            public string searchUrl;
            public string searchRespHtml;
            public XmlDocument xmlDoc;
            public XmlNamespaceManager m;
            public XmlNodeList gigDataList;
            public int nodeIdx;

        };
        search_info curSearchInfo = new search_info();
        
        public frmFiverrComScraper()
        {
            AppDomain.CurrentDomain.AssemblyResolve += new ResolveEventHandler(CurrentDomain_AssemblyResolve);

            InitializeComponent();

            crifanLib = new crifanLib();
            gigUrlColumn = new DataGridViewButtonColumn();
        }

        //for load embedded dll
        System.Reflection.Assembly CurrentDomain_AssemblyResolve(object sender, ResolveEventArgs args)
        {
            string dllName = args.Name.Contains(",") ? args.Name.Substring(0, args.Name.IndexOf(',')) : args.Name.Replace(".dll", "");

            dllName = dllName.Replace(".", "_");

            if (dllName.EndsWith("_resources")) return null;

            System.Resources.ResourceManager rm = new System.Resources.ResourceManager(GetType().Namespace + ".Properties.Resources", System.Reflection.Assembly.GetExecutingAssembly());

            byte[] bytes = (byte[])rm.GetObject(dllName);

            return System.Reflection.Assembly.Load(bytes);
        }

        void initGigSearchResultGridView()
        {
            //DataGridView init
            dgvSearchResult.ColumnCount = 12;

            dgvSearchResult.RowHeadersWidth = 60;
            dgvSearchResult.RowHeadersDefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter;
            dgvSearchResult.RowHeadersWidthSizeMode = DataGridViewRowHeadersWidthSizeMode.DisableResizing;

            dgvSearchResult.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
            dgvSearchResult.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.AllCellsExceptHeaders;

            //(1)title
            dgvSearchResult.Columns[0].AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill;
            dgvSearchResult.Columns[0].HeaderText = "Title";
            dgvSearchResult.Columns[0].Width = 100;
            //(2)seller rating ( based on 1-100% format )
            dgvSearchResult.Columns[1].HeaderText = "Seller Rating";
            dgvSearchResult.Columns[1].Width = 49;
            //(3)estimated delivery ( based on 24 hours - 7days format )
            dgvSearchResult.Columns[2].HeaderText = "Estimated Delivery";
            dgvSearchResult.Columns[2].Width = 66;
            //(4)gig rating ( based on 1-100% )
            dgvSearchResult.Columns[3].HeaderText = "Gig Rating";
            dgvSearchResult.Columns[3].Width = 47;
            //(5)orders in que ( based on 0-9999 format )
            dgvSearchResult.Columns[4].HeaderText = "Orders in Queue";
            dgvSearchResult.Columns[4].Width = 54;
            //(6)level of the seller ( 1-3 )
            dgvSearchResult.Columns[5].HeaderText = "Seller Level";
            dgvSearchResult.Columns[5].Width = 47;
            //(7)haz video ( yes or no )
            dgvSearchResult.Columns[6].HeaderText = "Has Video";
            dgvSearchResult.Columns[6].Width = 42;
            //(8)express gigs (yes or no )
            dgvSearchResult.Columns[7].HeaderText = "Is Express Gig";
            dgvSearchResult.Columns[7].Width = 55;
            //(9)country flag ( display county flag )
            dgvSearchResult.Columns[8].HeaderText = "Country Flag";
            dgvSearchResult.Columns[8].Width = 106;
            //(10)+ve reviews and -ve reviews ( based on 1-9999 )
            dgvSearchResult.Columns[9].HeaderText = "Positive Reviews";
            dgvSearchResult.Columns[9].Width = 57;
            dgvSearchResult.Columns[10].HeaderText = "Negative Reviews";
            dgvSearchResult.Columns[10].Width = 60;
            //(11)top rated seller ( yes or no )
            dgvSearchResult.Columns[11].HeaderText = "Is Top Rated Seller";
            dgvSearchResult.Columns[11].Width = 50;
            ////(12)gig url
            //dgvSearchResult.Columns[12].HeaderText = "Gig Url";
            //dgvSearchResult.Columns[12].Width = 106;

            // Add a button column
            gigUrlColumn.HeaderText = "Gig Url";
            //gigUrlColumn.Name = "Gig Url name";
            gigUrlColumn.Text = "Buy Now";
            //gigUrlColumn.UseColumnTextForButtonValue = true;
            gigUrlColumn.Width = 106;
            dgvSearchResult.Columns.Add(gigUrlColumn);

            //this.WindowState = FormWindowState.Maximized;

            updateUI();
        }


        void initGoogleAlertSearchResultGridView()
        {
            dgvSearchedAlerts.ColumnCount = 3;

            dgvSearchedAlerts.RowHeadersWidth = 60;
            dgvSearchedAlerts.RowHeadersDefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter;
            dgvSearchedAlerts.RowHeadersWidthSizeMode = DataGridViewRowHeadersWidthSizeMode.DisableResizing;

            //dgvSearchedAlerts.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
            dgvSearchedAlerts.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.Fill;
            dgvSearchedAlerts.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.AllCellsExceptHeaders;

            //(1)title
            //dgvSearchedAlerts.Columns[0].AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill;
            dgvSearchedAlerts.Columns[0].HeaderText = "Title";
            dgvSearchedAlerts.Columns[0].Width = 200;
            //(2)Url
            dgvSearchedAlerts.Columns[1].HeaderText = "Url";
            dgvSearchedAlerts.Columns[1].Width = 200;
            //(3)Description
            dgvSearchedAlerts.Columns[2].HeaderText = "Description";
            dgvSearchedAlerts.Columns[2].Width = 200;
        }


        private void frmFiverrComScraper_Load(object sender, EventArgs e)
        {
            initGigSearchResultGridView();
            initGoogleAlertSearchResultGridView();

            initDefSelection();
        }

        private void initDefSelection()
        {
            cmbResultType.SelectedIndex = 0;//Everything
            cmbHowOften.SelectedIndex = 1;  //Once a day
            cmbHowMany.SelectedIndex = 0;   // Only the best results
            cmbDeliverTo.SelectedIndex = 0;
        
        }

        //update UI according current status
        private void updateUI()
        {
            if (curSearchStatus == search_status.SEARCH_STATUS_STOPPED)
            {
                btnSearch.Enabled = true;
                btnSearch.Text = "Search";

                btnPause.Enabled = false;
                btnStop.Enabled = false;

            }
            else if (curSearchStatus == search_status.SEARCH_STATUS_PAUSED)
            {
                btnSearch.Enabled = true;
                btnSearch.Text = "Continue Search";

                btnPause.Enabled = false;
                btnStop.Enabled = true;
            }
            else if (curSearchStatus == search_status.SEARCH_STATUS_SEARCHING)
            {
                btnSearch.Enabled = false;
                btnSearch.Text = "Searching";

                btnPause.Enabled = true;
                btnStop.Enabled = true;
            }

        }

        XmlDocument htmlToXmlDoc(string html)
        {
            // setup SgmlReader
            Sgml.SgmlReader sgmlReader = new Sgml.SgmlReader();
            sgmlReader.DocType = "HTML";
            sgmlReader.WhitespaceHandling = WhitespaceHandling.All;
            sgmlReader.CaseFolding = Sgml.CaseFolding.ToLower;
            //sgmlReader.InputStream = reader;
            sgmlReader.InputStream = new StringReader(html);

            // create document
            XmlDocument doc = new XmlDocument();
            doc.PreserveWhitespace = true;
            doc.XmlResolver = null;
            doc.Load(sgmlReader);

            return doc;
        }

        private void processEachGig(string gigUrl)
        {
            gigInfo singleGigInfo = new gigInfo();
            
            //(12)gig url
            //gigUrl
            singleGigInfo.gigUrl = gigUrl;

            //string gitHtml = crifanLib.getUrlRespHtml(gigUrl);
            string gitHtml = "";
            getUrlRespHtml_bw(gigUrl);
            while (bWorkNotCompleted)
            {
                System.Windows.Forms.Application.DoEvents();
            }
            gitHtml = curRespHtml;
            
            XmlDocument xmlDoc = htmlToXmlDoc(gitHtml);

            XmlNamespaceManager m = new XmlNamespaceManager(xmlDoc.NameTable);
            m.AddNamespace("w3org", "http://www.w3.org/1999/xhtml");
            
            //(1)title
            //http://fiverr.com/gamingaffiliate/seo-critique-your-website
              //<head>
              //  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
              //  <meta http-equiv="content-script-type" content="text/javascript">
              //    <title>Gamingaffiliate will seo critique your website with search engine optimization strategies and tips for $5, only on fiverr.com</title>
            //XmlNode titleNode = xmlDoc.SelectSingleNode("/w3org:html/w3org:head/w3org:title", m);

            //<div class="gig-title-g">
            //    <span itemprop="url" content="http://fiverr.com/gamingaffiliate/seo-critique-your-website"></span>
            //    <h1 itemprop="name">
            //        I will seo critique your website with search engine optimization strategies and tips for $5
            //    </h1>
            //    <div class="gig-category-name">CREATED <a href="/archives/2010/7/22">OVER 2 YEARS AGO</a>, IN <a href="/categories/online-marketing">ONLINE MARKETING</a>		  		/ <a href="/categories/online-marketing/seo-services">SEO</a>
            //    </div>
            //</div>
            XmlNode titleNode = xmlDoc.SelectSingleNode("//w3org:h1[@itemprop='name']", m);
            string title = titleNode.InnerText; //"\n\t\t\t\t\tI will seo critique your website with search engine optimization strategies and tips for $5\n\t\t\t\t"
            title = title.Trim();
            singleGigInfo.title = title;

            //(2)seller rating ( based on 1-100% format )
            //http://fiverr.com/woofy31/give-you-a-list-with-over-50-best-free-seo-and-sem-tools-out-there
            //<div class='user-rate'>rated <span class='colored green'>99%</span></div>
            XmlNode userRateNode = xmlDoc.SelectSingleNode("//w3org:div[@class='user-rate']", m);
            string userRateTxt = userRateNode.InnerText;
            string userRateValue = "";
            if (crifanLib.extractSingleStr(@"(\d+)%", userRateTxt, out userRateValue))
            {
                int userRateValueInt = Int32.Parse(userRateValue);
                singleGigInfo.sellerRating = userRateValueInt;
            }

            //(3)estimated delivery ( based on 24 hours - 7days format )
            //http://fiverr.com/woofy31/give-you-a-list-with-over-50-best-free-seo-and-sem-tools-out-there
            //<li class="delv-time">
            //    <div>
            //                    <span class='big-txt'>2</span> <span class='mid-txt'>days</span>
            //        <div class="clear"></div>
            //    </div>
            //    <div class="small-txt">
            //            EST. DELIVERY
            //    </div>
            //</li>

            //http://fiverr.com/crashkron/check-your-website-and-keywords-rankings-and-send-you-a-complete-report-to-help-you-to-improve-your-seo
            //<li class="delv-time">
            //    <div>
            //            <span class='big-txt'>24</span> <span class='mid-txt'>hrs</span>
            //        <div class="clear"></div>
            //    </div>
            //    <div class="small-txt">
            //            <div class='express'>express delivery</div>
            //    </div>
            //</li>
            XmlNode delvTimeNode = xmlDoc.SelectSingleNode("//w3org:li[@class='delv-time']", m);
            XmlNode delvTimeBigTxtNode = delvTimeNode.SelectSingleNode(".//w3org:span[@class='big-txt']", m);
            string devTimeBigStr = delvTimeBigTxtNode.InnerText;
            XmlNode delvTimeMidTxtNode = delvTimeNode.SelectSingleNode(".//w3org:span[@class='mid-txt']", m);
            string devTimeMidStr = delvTimeMidTxtNode.InnerText;
            singleGigInfo.estimatedDeliveryStr = devTimeBigStr + " " + devTimeMidStr;

            //(4)gig rating ( based on 1-100% )
            //http://fiverr.com/fiverrfanatic/be-your-seo-assistant-for-an-hour
            //<li class="gig-rating">
            //        <span class="big-txt">
            //            100<span class='mid-txt'>&#37;</span>
            //        </span>
            //        <div class="small-txt max-rate">
            //            GIG RATING
            //        </div>
            //</li>


            XmlNode gigRatingNode = xmlDoc.SelectSingleNode(".//w3org:li[@class='gig-rating']", m);
            string gitRatingTxt = gigRatingNode.InnerText; //"\n\t\t\t\n\t\t\t\t100%\n\t\t\t\n\t\t\t\n\t\t\t\tGIG RATING\n\t\t\t\n\t"
            string gitRatingValue = "";
            if (crifanLib.extractSingleStr(@"(\d+)%", gitRatingTxt, out gitRatingValue))
            {
                singleGigInfo.gigRating = Int32.Parse(gitRatingValue);
            }
            else
            {
                //http://fiverr.com/techlinks/provide-you-an-ebook-for-teaching-you-all-tips-and-methods-for-doing-seo-on-your-own
                //<li class="gig-rating">
                //        <span class="big-txt not-availale">N/A</span>
                //        <div class="small-txt not-availale">NOT RATED YET</div>
                //</li>
                singleGigInfo.gigRating = 0;
            }

            //(5)orders in que ( based on 0-9999 format )
            //http://fiverr.com/seostar/create-complete-seo-analysis-report-of-your-website
            //<li class="queue ">
            //        <div class="big-txt">4<span class="mid-txt">in queue</span></div>
            //        <div class="small-txt">ORDERS</div>
            //</li>  

            XmlNode queueNode = xmlDoc.SelectSingleNode(".//w3org:li[@class='queue ']", m);
            if (queueNode != null)
            {
                //extract value
                XmlNode queueBigTxtNode = queueNode.SelectSingleNode(".//w3org:div[@class='big-txt']", m);
                string queueTxtValue = queueBigTxtNode.InnerText;
                string queueValue = "";
                if (crifanLib.extractSingleStr(@"(\d+)", queueTxtValue, out queueValue))
                {
                    singleGigInfo.ordersInQueue = Int32.Parse(queueValue);
                }
            }
            else
            {
                //should be:
                //http://fiverr.com/woofy31/give-you-a-list-with-over-50-best-free-seo-and-sem-tools-out-there
                //<li class="queue not-availale">
                //        <div class="big-txt">0<span class="mid-txt">in queue</span></div>
                //        <div class="small-txt">ORDERS</div>
                //</li>  
                XmlNode queueNoneNode = xmlDoc.SelectSingleNode(".//w3org:li[@class='queue not-availale']", m);
                if (queueNoneNode != null)
                {
                    //ok
                    singleGigInfo.ordersInQueue = 0;
                }
                else 
                {
                    //seems some error
                    MessageBox.Show("Error while find orders in queue!");
                }
            }

            //(6)level of the seller ( 1-3 )
            //(11)top rated seller ( yes or no )
            //http://fiverr.com/fiverrfanatic/be-your-seo-assistant-for-an-hour
            //<li class="badge-container top_rated_seller">
            //    <img alt="Gig_stats_badges" src="/assets/gig_show/gig_stats_badges.png" />		</li>

            //http://fiverr.com/maxsimpson/create-500-high-pr-seo-backlinks-for-your-web-page-which-are-google-panda-and-penguin-safe-backlink-will-ping-back-links
            //<li class="badge-container level_two_seller">
            //    <img alt="Gig_stats_badges" src="/assets/gig_show/gig_stats_badges.png" />		</li>

            //http://fiverr.com/seostar/create-complete-seo-analysis-report-of-your-website
            //Not contain any badge-container
            XmlNode badgeLevelOneNode = xmlDoc.SelectSingleNode(".//w3org:li[@class='badge-container level_one_seller']", m);
            XmlNode badgeLevelTwoNode = xmlDoc.SelectSingleNode(".//w3org:li[@class='badge-container level_two_seller']", m);
            XmlNode badgeTopRatedNode = xmlDoc.SelectSingleNode(".//w3org:li[@class='badge-container top_rated_seller']", m);

            int badgeLevel = 0;
            bool isTopRatedSeller = false;
            if ((badgeLevelOneNode == null) && (badgeLevelTwoNode == null) && (badgeTopRatedNode == null))
            {
                badgeLevel = 0;
            }
            else if (badgeLevelOneNode != null)
            {
                badgeLevel = 1;
            }
            else if (badgeLevelTwoNode != null)
            {
                badgeLevel = 2;
            }
            else if (badgeTopRatedNode != null)
            {
                badgeLevel = 3;
                isTopRatedSeller = true;
            }

            singleGigInfo.sellerLevel = badgeLevel;
            singleGigInfo.isTopRatedSeller = isTopRatedSeller;


            //(7)haz video ( yes or no )
            //http://fiverr.com/hdsmith7674/write-a-high-quality-100-to-300-word-blog-post-or-article
            //<div class="play-trigger">
            //    <a href="http://api.dmcloud.net/embed/4e5bf73e94a6f629c900461b/5044c9e794739936f100011b?auth=1519213997-0-r6qkysc4-b4645d9babf33e282ff8f66fbab95c75&amp;wmode=transparent" class="vid-play"></a>
            //    <img alt="alt_text.html_safe" src="http://static.dmcloud.net/4e5bf73e94a6f629c900461b/5044c9e794739936f100011b/jpeg_thumbnail_large-1346739574.jpeg" width="100%" />
            //</div>
            XmlNode playTriggerNode = xmlDoc.SelectSingleNode(".//w3org:div[@class='play-trigger']", m);
            bool hasVideo = false;
            if (playTriggerNode != null)
            {
                hasVideo = true;
            }
            singleGigInfo.hasVideo = hasVideo;


            //(8)express gigs (yes or no )
            //http://fiverr.com/earnonlinemoney/give-you-a-guest-post-on-my-pr2-pets-pet-carepet-trainingpet-nutrition-and-supplement-seomoz-page-authority-of-41
            //<div class='express'>EXPRESS DELIVERY</div>
            XmlNode expressNode = xmlDoc.SelectSingleNode(".//w3org:div[@class='express']", m);
            bool isExpress = false;
            if (expressNode != null)
            {
                isExpress = true;
            }
            singleGigInfo.isExpressGig = isExpress;

            //(9)country flag ( display county flag )
            
            //http://fiverr.com/maxsimpson/create-500-high-pr-seo-backlinks-for-your-web-page-which-are-google-panda-and-penguin-safe-backlink-will-ping-back-links
            //<li class="user-det">
            //    <img src="/assets/02-68c5bd24e80eda13bef308cc3381a6a0.gif" width="50px" height="50px" align="left" class="user-photo" alt="maxsimpson" />		<div>
            //        By <a href="/maxsimpson">maxsimpson</a>			<div class='user-rate'>rated <span class='colored green'>98%</span></div>
            //        <span class='flag in' title="India"></span>
            //    </div>
            //</li>

            //http://fiverr.com/earnonlinemoney/give-you-a-guest-post-on-my-pr2-pets-pet-carepet-trainingpet-nutrition-and-supplement-seomoz-page-authority-of-41
            //<li class="user-det">
            //    <img src="http://cdn0.fiverrcdn.com/photos/268438/thumb/dollar_sign.jpg?1307287478" width="50px" height="50px" align="left" class="user-photo" alt="earnonlinemoney" />		<div>
            //        By <a href="/earnonlinemoney">earnonlinemoney</a>			<div class='user-rate'>rated <span class='colored green'>100%</span></div>
            //        <span class='flag us' title="United States"></span>
            //    </div>
            //</li>

            //http://fiverr.com/daica85/give-you-an-advance-seo-techniques-ebook
            //<li class="user-det">
            //    <img src="http://cdn3.fiverrcdn.com/photos/68219/thumb/tiphu.jpg?1280070107" width="50px" height="50px" align="left" class="user-photo" alt="daica85" />		<div>
            //        By <a href="/daica85">daica85</a>			<div class='user-rate'>rated <span class='colored green'>100%</span></div>
            //        <span class='flag vn' title="Viet Nam"></span>
            //    </div>
            //</li>

            XmlNode userDetNode = xmlDoc.SelectSingleNode(".//w3org:li[@class='user-det']", m);
            string userDetXmlTxt = userDetNode.InnerXml;
            string countryTxt = "";
            //if (crifanLib.extractSingleStr(@"<span class='flag \w+' title=""(\w+)""", userDetXmlTxt, out countryTxt))
            //if (crifanLib.extractSingleStr(@"<span class=""flag \w+"" title=""(\w+)""", userDetXmlTxt, out countryTxt))
            if (crifanLib.extractSingleStr(@"<span class=""flag \w+"" title=""([a-zA-Z ]+)""", userDetXmlTxt, out countryTxt))
            {
                singleGigInfo.coutryFlag = countryTxt;
            }
            else
            {
                //MessageBox.Show("Error while find country flag");
            }

            
            //(10)+ve reviews and -ve reviews ( based on 1-9999 )
            //http://fiverr.com/hdsmith7674/write-a-high-quality-100-to-300-word-blog-post-or-article
            //  <li class="thumbs">
            //    <div class="gig-stats-numbers"><span itemprop="ratingValue" content="5.0">684</span></div>
            //    <div class="thumb"></div>
            //    <br class="clear" />
            //    <div class="gig-stats-text">POSITIVE REVIEWS</div>
            //  </li>
            //  <li class="thumbs">
            //    <div class="gig-stats-numbers"><span itemprop="reviewCount" content="690">6</span></div>
            //    <div class="down"><span class="thumb"></span></div>
            //    <br class="clear" />
            //    <div class="gig-stats-text">NEGATIVE REVIEWS</div>
            //  </li>
            //<li class="thumbs stars">
            //  <div class="gig-stats-numbers">437</div>
            //  <div class="stat-heart heart collected"></div>
            //  <br class="clear" />
            //  <div class="gig-stats-text">COLLECTED THIS GIG</div>
            //</li>

            XmlNode positiveNode = xmlDoc.SelectSingleNode(".//w3org:span[@itemprop='ratingValue']", m);
            XmlNode negativeNode = xmlDoc.SelectSingleNode(".//w3org:span[@itemprop='reviewCount']", m);

            if ((positiveNode != null) && (negativeNode != null))
            {
                string posibiteValue = positiveNode.InnerText;
                singleGigInfo.positiveReviews = Int32.Parse(posibiteValue);
                
                string negativeValue = negativeNode.InnerText;
                singleGigInfo.negativeReviews = Int32.Parse(negativeValue);
            }
            else 
            {
                //http://fiverr.com/techlinks/provide-you-an-ebook-for-teaching-you-all-tips-and-methods-for-doing-seo-on-your-own
                //http://fiverr.com/submitdirectory/do-seo-and-manually-submit-your-business-site-url-to-100-pr3-to-pr7-directories
                //no POSITIVE REVIEWS and NEGATIVE REVIEWS
                singleGigInfo.positiveReviews = 0;
                singleGigInfo.negativeReviews = 0;
            }
                        
            storeGigInfo(singleGigInfo);

            //update UI
            System.Windows.Forms.Application.DoEvents();
        }

        public struct gigInfo
        {
            public string title;
            public int sellerRating;
            public string estimatedDeliveryStr;
            public int gigRating;
            public int ordersInQueue;
            public int sellerLevel;
            public bool hasVideo;
            public bool isExpressGig;
            public string coutryFlag;
            public int positiveReviews;
            public int negativeReviews;
            public bool isTopRatedSeller;
            public string gigUrl;
        };

        private void getUrlRespHtml_bw(string url)
        {
            // Create a background thread
            BackgroundWorker m_bgWorker = new BackgroundWorker();
            m_bgWorker.DoWork += new DoWorkEventHandler(m_bgWorker_DoWork);
            m_bgWorker.RunWorkerCompleted += new RunWorkerCompletedEventHandler
                        ( m_bgWorker_RunWorkerCompleted );

            //init
            bWorkNotCompleted = true;
            
            // run in another thread
            m_bgWorker.RunWorkerAsync(url);
        }

        private void m_bgWorker_DoWork(object sender, DoWorkEventArgs e)
        {
            string url = (string)e.Argument;
            e.Result = crifanLib.getUrlRespHtml(url);
        }

        void m_bgWorker_ProgressChanged(object sender, ProgressChangedEventArgs e)
        {
            bWorkNotCompleted = true;
        }

        private void m_bgWorker_RunWorkerCompleted(object sender, RunWorkerCompletedEventArgs e)
        {
            // The background process is complete. We need to inspect
            // our response to see if an error occurred, a cancel was
            // requested or if we completed successfully.

            // Check to see if an error occurred in the
            // background process.
            if (e.Error != null)
            {
                //MessageBox.Show(e.Error.Message);
                return;
            }

            // Check to see if the background process was cancelled.
            if (e.Cancelled)
            {
                //MessageBox.Show("Cancelled ...");
            }
            else
            {
                bWorkNotCompleted = false;

                // Everything completed normally.
                // process the response using e.Result
                //MessageBox.Show("Completed...");
                curRespHtml = e.Result.ToString();
            }
        }

        private void btnSearch_Click(object sender, EventArgs e)
        {
            string fiverMainUrl = "http://fiverr.com";
            
            if (curSearchStatus == search_status.SEARCH_STATUS_PAUSED)
            {
                needGetMore = true;
                //restore status

                //continue search

                curSearchStatus = search_status.SEARCH_STATUS_SEARCHING;
                updateUI();

                //curSearchInfo = curSearchInfo;
                
                //for debug
                //int debugNum = 0;
                //int debugMaxNum = 3;

                //foreach (XmlNode gigNode in gigDataList)
                for (; curSearchInfo.nodeIdx < curSearchInfo.gigDataList.Count; curSearchInfo.nodeIdx++)
                {
                    XmlNode gigNode = curSearchInfo.gigDataList[curSearchInfo.nodeIdx];
                    if (needGetMore)
                    {
                        //<div class="gig-title approved">
                        //XmlNode gitTitleNode = gigNode.SelectSingleNode(".//div[@class='gig-title approved']"); //null
                        XmlNode gitTitleNode = gigNode.SelectSingleNode(".//w3org:div[@class='gig-title approved']", curSearchInfo.m);

                        //XmlNode h2ANode = gitTitleNode.ChildNodes[1].FirstChild;

                        //XmlNode h2Node = gitTitleNode.SelectSingleNode(".//w3org:h2", curSearchInfo.m);
                        //XmlNode h2ANode = h2Node.SelectSingleNode(".//w3org:a", curSearchInfo.m);

                        XmlNode h2ANode = gitTitleNode.SelectSingleNode(".//w3org:h2/w3org:a", curSearchInfo.m);
                        string gitTitleStr = h2ANode.InnerText; //"I will give you an Advance SEO Techniques eBook for $5"
                        string aHref = h2ANode.Attributes["href"].Value; // /daica85/give-you-an-advance-seo-techniques-ebook
                        string singleGigUrl = fiverMainUrl + aHref;

                        processEachGig(singleGigUrl);

                        ////for debug
                        //debugNum++;
                        //if (debugNum >= debugMaxNum)
                        //{
                        //    //debug
                        //    needGetMore = false;
                        //    break;
                        //}
                    }
                    else
                    {
                        break;
                    }
                }

                //update for next page
                curSearchInfo.pageNum++;
            }
            else if (curSearchStatus == search_status.SEARCH_STATUS_STOPPED)
            {
                // new search -> clear previously searched result
                clearSearchResult();

                curSearchStatus = search_status.SEARCH_STATUS_SEARCHING;
                updateUI();

                curSearchInfo = new search_info();

                curSearchInfo.pageNum = 1;

                needGetMore = true;
            }
            else
            {
                //unexpected status

                return;
            }

            while (needGetMore)
            {
                //http://fiverr.com/gigs/search?utf8=%E2%9C%93&query=seo&x=15&y=13&page=2
                curSearchInfo.searchUrl = "http://fiverr.com/gigs/search?utf8=%E2%9C%93"
                    + "&query=" + HttpUtility.UrlEncode(txbKeyword.Text)
                    + "&page=" + curSearchInfo.pageNum.ToString();

                //string searchResultHtml = crifanLib.getUrlRespHtml(curSearchInfo.searchUrl);
                getUrlRespHtml_bw(curSearchInfo.searchUrl);
                while (bWorkNotCompleted)
                {
                    System.Windows.Forms.Application.DoEvents();
                }
                curSearchInfo.searchRespHtml = curRespHtml;

                curSearchInfo.xmlDoc = htmlToXmlDoc(curSearchInfo.searchRespHtml);

                curSearchInfo.m = new XmlNamespaceManager(curSearchInfo.xmlDoc.NameTable);
                curSearchInfo.m.AddNamespace("w3org", "http://www.w3.org/1999/xhtml");

                curSearchInfo.gigDataList = curSearchInfo.xmlDoc.SelectNodes("//w3org:div[@data-gig_id]", curSearchInfo.m);

                if (curSearchInfo.gigDataList != null)
                {
                    //for debug
                    //int debugNum = 0;
                    //int debugMaxNum = 3;

                    //foreach (XmlNode gigNode in gigDataList)
                    for (curSearchInfo.nodeIdx = 0; curSearchInfo.nodeIdx < curSearchInfo.gigDataList.Count; curSearchInfo.nodeIdx++)
                    {
                        XmlNode gigNode = curSearchInfo.gigDataList[curSearchInfo.nodeIdx];
                        if (needGetMore)
                        {
                            //<div class="gig-title approved">
                            //XmlNode gitTitleNode = gigNode.SelectSingleNode(".//div[@class='gig-title approved']"); //null
                            XmlNode gitTitleNode = gigNode.SelectSingleNode(".//w3org:div[@class='gig-title approved']", curSearchInfo.m);

                            //XmlNode h2ANode = gitTitleNode.ChildNodes[1].FirstChild;

                            //XmlNode h2Node = gitTitleNode.SelectSingleNode(".//w3org:h2", curSearchInfo.m);
                            //XmlNode h2ANode = h2Node.SelectSingleNode(".//w3org:a", curSearchInfo.m);

                            XmlNode h2ANode = gitTitleNode.SelectSingleNode(".//w3org:h2/w3org:a", curSearchInfo.m);
                            string gitTitleStr = h2ANode.InnerText; //"I will give you an Advance SEO Techniques eBook for $5"
                            string aHref = h2ANode.Attributes["href"].Value; // /daica85/give-you-an-advance-seo-techniques-ebook
                            string singleGigUrl = fiverMainUrl + aHref;

                            processEachGig(singleGigUrl);

                            ////for debug
                            //debugNum++;
                            //if (debugNum >= debugMaxNum)
                            //{
                            //    //debug
                            //    needGetMore = false;
                            //    break;
                            //}
                        }
                        else
                        {
                            break;
                        }
                    }

                    //update for next page
                    curSearchInfo.pageNum++;
                }
                else
                {
                    needGetMore = false;
                }
            };

        }

        private void btnPause_Click(object sender, EventArgs e)
        {
            if (curSearchStatus == search_status.SEARCH_STATUS_SEARCHING)
            {
                curSearchStatus = search_status.SEARCH_STATUS_PAUSED;
                updateUI();

                needGetMore = false;

                //store current status and progress

                //MessageBox.Show(curSearchInfo.gigDataList[0].ToString());
            }

        }

        private void btnStopSearching_Click(object sender, EventArgs e)
        {
            if ((curSearchStatus == search_status.SEARCH_STATUS_SEARCHING) ||
                (curSearchStatus == search_status.SEARCH_STATUS_PAUSED)
                )
            {
                curSearchStatus = search_status.SEARCH_STATUS_STOPPED;
                updateUI();

                needGetMore = false;

                //clear things
            }
        }

        void storeGigInfo(gigInfo singleGigInfo)
        {
            //DataGridViewButtonCell gigUrlCell = new DataGridViewButtonCell();
            //gigUrlCell.Value = "Buy Now";
            //gigUrlCell.Tag = singleGigInfo.gigUrl;

            dgvSearchResult.Rows.Add(
                singleGigInfo.title,
                singleGigInfo.sellerRating,
                singleGigInfo.estimatedDeliveryStr,
                singleGigInfo.gigRating,
                singleGigInfo.ordersInQueue,
                singleGigInfo.sellerLevel,
                singleGigInfo.hasVideo ? "yes" : "no",
                singleGigInfo.isExpressGig,
                singleGigInfo.coutryFlag,
                singleGigInfo.positiveReviews,
                singleGigInfo.negativeReviews,
                singleGigInfo.isTopRatedSeller);
                //gigUrlCell);
                //singleGigInfo.gigUrl);

            gigUrlColumn.DataGridView.Rows[dgvSearchResult.Rows.Count - 1].Cells[girUrlColumnIdx].Value = "Buy Now";
            gigUrlColumn.DataGridView.Rows[dgvSearchResult.Rows.Count - 1].Cells[girUrlColumnIdx].Tag = singleGigInfo.gigUrl;
            
            dgvSearchResult.Rows[dgvSearchResult.Rows.Count - 1].Selected = true;
            dgvSearchResult.FirstDisplayedScrollingRowIndex = dgvSearchResult.Rows.Count - 1;

            //draw the row index
            drawRowHeaderNumer(dgvSearchResult);

            return;
        }

        private void dgvSearchResult_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {
            if ((e.RowIndex >= 0) && (e.ColumnIndex == girUrlColumnIdx))
            {
                DataGridViewButtonCell clickedButtonCell = (DataGridViewButtonCell)dgvSearchResult.Rows[e.RowIndex].Cells[e.ColumnIndex];
                //MessageBox.Show(clickedButtonCell.Value.ToString() + clickedButtonCell.Tag.ToString());
                System.Diagnostics.Process.Start(clickedButtonCell.Tag.ToString()); 
            }
        }
        
        private void releaseObject(object obj)
        {
            try
            {
                System.Runtime.InteropServices.Marshal.ReleaseComObject(obj);
                obj = null;
            }
            catch (Exception ex)
            {
                obj = null;
                MessageBox.Show("Exception Occured while releasing object " + ex.ToString());
            }
            finally
            {
                GC.Collect();
            }
        }

        private void btnSaveAll_Click(object sender, EventArgs e)
        {
            Excel.Application xlApp = new Excel.Application();
            Excel.Workbook xlWorkBook;
            Excel.Worksheet xlWorkSheet;

            object misValue = System.Reflection.Missing.Value;
            xlApp = new Excel.ApplicationClass();
            xlWorkBook = xlApp.Workbooks.Add(misValue);
            xlWorkSheet = (Excel.Worksheet)xlWorkBook.Worksheets.get_Item(1);
            int i = 0;
            int j = 0;

            //save header
            for (i = 0; i <= dgvSearchResult.ColumnCount - 1; i++)
            {
                xlWorkSheet.Cells[0+1, i+1] = dgvSearchResult.Columns[i].HeaderText;
            }

            //save cells
            for (i = 0; i <= dgvSearchResult.RowCount - 1; i++)
            {
                for (j = 0; j <= dgvSearchResult.ColumnCount - 1; j++)
                {
                    DataGridViewCell cell = dgvSearchResult[j, i];
                    if (j == girUrlColumnIdx)
                    {
                        xlWorkSheet.Cells[i + 2, j + 1] = cell.Tag.ToString();
                    }
                    else
                    {
                        xlWorkSheet.Cells[i + 2, j + 1] = cell.Value;
                    }
                }
            }

            //formatting
            //header to bold
            Range headerRow = xlWorkSheet.get_Range("1:1", System.Type.Missing);
            headerRow.Font.Bold = true;

            string outputFilename = "fiverrComScrapedResult.xls";
            string fullFilename = Path.Combine(getSaveFolder(), outputFilename);
            //xlWorkBook.SaveAs(fullFilename, Excel.XlFileFormat.xlWorkbookNormal, misValue, misValue, misValue, misValue, Excel.XlSaveAsAccessMode.xlExclusive, misValue, misValue, misValue, misValue, misValue);
            xlWorkBook.SaveAs(fullFilename, Excel.XlFileFormat.xlWorkbookNormal, misValue, misValue, misValue, misValue, Excel.XlSaveAsAccessMode.xlExclusive, XlSaveConflictResolution.xlLocalSessionChanges, misValue, misValue, misValue, misValue);
            xlWorkBook.Close(true, misValue, misValue);
            xlApp.Quit();

            releaseObject(xlWorkSheet);
            releaseObject(xlWorkBook);
            releaseObject(xlApp);

            openFolderAndSelectFile(fullFilename);
        }

        private void openFolderAndSelectFile(string fullFilename)
        {
            System.Diagnostics.Process.Start("Explorer.exe", "/select," + fullFilename);
        }

        private string getSaveFolder()
        {
            string saveFolderPath = System.Environment.CurrentDirectory;
            //fbdSaveFolder.SelectedPath = System.Environment.CurrentDirectory;
            if (fbdSaveFolder.ShowDialog() == System.Windows.Forms.DialogResult.OK)
            {
                saveFolderPath = fbdSaveFolder.SelectedPath;
            }

            return saveFolderPath;
        }

        private void btnExportToCsv_Click(object sender, EventArgs e)
        {
            //settings
            //string delimiter = "|";
            string delimiter = ",";

            string outputFilename = "fiverrComScrapedResult.csv";
            string fullFilename = Path.Combine(getSaveFolder(), outputFilename);

            StreamWriter csvStreamWriter = new StreamWriter(fullFilename, false, System.Text.Encoding.UTF8);

            //output header data
            string strHeader = "";
            for (int i = 0; i < dgvSearchResult.Columns.Count; i++)
            {
                strHeader += dgvSearchResult.Columns[i].HeaderText + delimiter;
            }
            csvStreamWriter.WriteLine(strHeader);

            //output rows data
            for (int j = 0; j < dgvSearchResult.Rows.Count; j++)
            {
                string strRowValue = "";

                for (int k = 0; k < dgvSearchResult.Columns.Count; k++)
                {
                    if (k == girUrlColumnIdx)
                    {
                        strRowValue += dgvSearchResult.Rows[j].Cells[k].Tag.ToString() + delimiter;
                    }
                    else
                    {
                        strRowValue += dgvSearchResult.Rows[j].Cells[k].Value + delimiter;
                    }
                }
                csvStreamWriter.WriteLine(strRowValue);
            }

            csvStreamWriter.Close();

            //after save file
            openFolderAndSelectFile(fullFilename);
        }

        private void clearSearchResult()
        {
            dgvSearchResult.Rows.Clear();
        }

        private void btnClearAll_Click(object sender, EventArgs e)
        {
            clearSearchResult();
        }

        private void btnHelp_Click(object sender, EventArgs e)
        {
            string helpUrl = "http://giggladiator.com/help";
            System.Diagnostics.Process.Start(helpUrl); 
        }

        private void btnCreateAlert_Click(object sender, EventArgs e)
        {

        }

        private void btnExpReaderToExcel_Click(object sender, EventArgs e)
        {

        }

        private void btnExpReaderToCsv_Click(object sender, EventArgs e)
        {

        }

        void testJson()
        {
//            string jsonText = @"{
//'query': 'weight loss',
//'frequency': '3',
//'has_recent_results': 1,
//'results': [
//{
//'input': 'NEWS',
//'html': '\x0A\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22\x3E\x3Ctr\x3E\x3Ctd style=\x22background-color:#EBEFF9\x3B padding: 4px 8px 4px 8px\x22\x3E\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22 width=\x22100%\x22\x3E\x3Ctr\x3E\x3Ctd\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cnobr\x3E\x3Cb\x3ENews\x3C\x2Fb\x3E\x3C\x2Fnobr\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3Ctd width=\x2270%\x22 align=\x22right\x22\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cb\x3E10\x3C\x2Fb\x3E new results for \x3Cb\x3Eweight loss\x3C\x2Fb\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd\x3E\x26nbsp\x3B\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22 width=\x22100%\x22\x3E\x3Ctr\x3E\x3Ctd valign=\x22top\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.nytimes.com\x2F2013\x2F03\x2F17\x2Ffashion\x2Ftanya-zuckerbrot-sets-a-weight-loss-example.html%3Fpagewanted%3Dall\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoATAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNG2zi_3ozVyt36_w_BNihZ__6TWxA\x22 target=\x22_blank\x22\x3ELeading and Losing by Example\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Ca style=\x22text-decoration:none\x3Bcolor:#777777\x3Bcursor:default\x22 href=\x22\x22\x3ENew York Times\x3C\x2Fa\x3E\x3Cbr\x3EMs. Schecter is among a coterie of high-powered New Yorkers who are happily giving their money to Ms. Zuckerbrot, a registered dietitian and author of “The F-Factor Diet: Discover the Secret to Permanent \x3Cb\x3EWeight Loss\x3C\x2Fb\x3E,” published in 2006, and the “The \x3Cb\x3E...\x3C\x2Fb\x3E\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fnews.google.com\x2Fnews\x2Fstory%3Fncl%3Dhttp:\x2F\x2Fwww.nytimes.com\x2F2013\x2F03\x2F17\x2Ffashion\x2Ftanya-zuckerbrot-sets-a-weight-loss-example.html%253Fpagewanted%253Dall%26hl%3Den%26geo%3Dus\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoBjAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNGOIMJvnYy1KLk4ZplkSq2CjqUz_Q\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fnews.google.com\x2Fnews\x2Fstory?ncl=http:\x2F\x2Fwww.nytimes.com\x2F2013\x2F03\x2F17\x2Ffashion\x2Ftanya-zuckerbrot-sets-a-weight-loss-example.html%3Fpagewanted%3Dall\x26amp\x3Bhl=en\x26amp\x3Bgeo=us\x22\x3ESee all stories on this topic \x26raquo\x3B\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3Ctd align=\x22center\x22 width=\x2280\x22 valign=\x22top\x22\x3E\x3Ca href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.nytimes.com\x2F2013\x2F03\x2F17\x2Ffashion\x2Ftanya-zuckerbrot-sets-a-weight-loss-example.html%3Fpagewanted%3Dall\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoAjAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNG2zi_3ozVyt36_w_BNihZ__6TWxA\x22 target=\x22_blank\x22\x3E\x3Cimg border=\x220\x22 src=\x22http:\x2F\x2Fnt0.ggpht.com\x2Fnews\x2Ftbn\x2FAOXBEWKCcAAJ\x22 alt=\x22\x22 width=\x2280\x22 height=\x2253\x22\x3E\x3C\x2Fa\x3E\x3Cfont size=\x22-2\x22\x3E\x3Cbr\x3E\x3Ca href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.nytimes.com\x2F2013\x2F03\x2F17\x2Ffashion\x2Ftanya-zuckerbrot-sets-a-weight-loss-example.html%3Fpagewanted%3Dall\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoAzAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNG2zi_3ozVyt36_w_BNihZ__6TWxA\x22 target=\x22_blank\x22\x3ENew York Times\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22 width=\x22100%\x22\x3E\x3Ctr\x3E\x3Ctd valign=\x22top\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Ffox13now.com\x2F2013\x2F03\x2F15\x2Fbig-budahs-blog-family-gatherings-weight-loss-progress-and-disneyland\x2F\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoATAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNG-eJeTH11YMKVdgcfTfclT2ceL9Q\x22 target=\x22_blank\x22\x3EBig Budah\x26#39\x3Bs blog: Family gatherings, \x3Cb\x3Eweight loss\x3C\x2Fb\x3E progress and Disneyland\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Ca style=\x22text-decoration:none\x3Bcolor:#777777\x3Bcursor:default\x22 href=\x22\x22\x3Efox13now.com\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cb\x3E...\x3C\x2Fb\x3E then I\x26#39\x3Bm heading to Disneyland. I hope to be able to ride on more than a few rides there. It has been more than twenty years since I have fit in an amusement park ride, so this will be a real measuring stick for me as far as how my \x3Cb\x3Eweight loss\x3C\x2Fb\x3E is \x3Cb\x3E...\x3C\x2Fb\x3E\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fnews.google.com\x2Fnews\x2Fstory%3Fncl%3Dhttp:\x2F\x2Ffox13now.com\x2F2013\x2F03\x2F15\x2Fbig-budahs-blog-family-gatherings-weight-loss-progress-and-disneyland\x2F%26hl%3Den%26geo%3Dus\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoBjAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNF-n0A8nNsmxTAZYjDoKm4twoR1fQ\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fnews.google.com\x2Fnews\x2Fstory?ncl=http:\x2F\x2Ffox13now.com\x2F2013\x2F03\x2F15\x2Fbig-budahs-blog-family-gatherings-weight-loss-progress-and-disneyland\x2F\x26amp\x3Bhl=en\x26amp\x3Bgeo=us\x22\x3ESee all stories on this topic \x26raquo\x3B\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3Ctd align=\x22center\x22 width=\x2280\x22 valign=\x22top\x22\x3E\x3Ca href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Ffox13now.com\x2F2013\x2F03\x2F15\x2Fbig-budahs-blog-family-gatherings-weight-loss-progress-and-disneyland\x2F\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoAjAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNG-eJeTH11YMKVdgcfTfclT2ceL9Q\x22 target=\x22_blank\x22\x3E\x3Cimg border=\x220\x22 src=\x22http:\x2F\x2Fnt2.ggpht.com\x2Fnews\x2Ftbn\x2FQhs48McqOToJ\x22 alt=\x22\x22 width=\x2280\x22 height=\x2280\x22\x3E\x3C\x2Fa\x3E\x3Cfont size=\x22-2\x22\x3E\x3Cbr\x3E\x3Ca href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Ffox13now.com\x2F2013\x2F03\x2F15\x2Fbig-budahs-blog-family-gatherings-weight-loss-progress-and-disneyland\x2F\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoAzAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNG-eJeTH11YMKVdgcfTfclT2ceL9Q\x22 target=\x22_blank\x22\x3Efox13now.com\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22 width=\x22100%\x22\x3E\x3Ctr\x3E\x3Ctd valign=\x22top\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fabclocal.go.com\x2Fwls\x2Fstory%3Fsection%3Dnews\x2Fentertainment%26id%3D9028719\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoATAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNESLQ7n5GyatT5Hee48WI0N9_nE_g\x22 target=\x22_blank\x22\x3EJillian Michaels book focuses on \x3Cb\x3Eweight loss\x3C\x2Fb\x3E, health\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Ca style=\x22text-decoration:none\x3Bcolor:#777777\x3Bcursor:default\x22 href=\x22\x22\x3EABC7Chicago.com\x3C\x2Fa\x3E\x3Cbr\x3EMarch 15, 2013 (LOS ANGELES) -- Jillian Michaels book, \x26#39\x3B\x26#39\x3BSlim for Life: My Insider Secrets to Simple, Fast and Lasting \x3Cb\x3EWeight Loss\x3C\x2Fb\x3E,\x26#39\x3B\x26#39\x3B weighs in on the battle to lose weight and be healthy. Jillian Michaels orders two eggs over easy with a smidgeon of \x3Cb\x3E...\x3C\x2Fb\x3E\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fnews.google.com\x2Fnews\x2Fstory%3Fncl%3Dhttp:\x2F\x2Fabclocal.go.com\x2Fwls\x2Fstory%253Fsection%253Dnews\x2Fentertainment%2526id%253D9028719%26hl%3Den%26geo%3Dus\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoBjAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNEWVDogC7tY_VmRX7qju5KTXfasPw\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fnews.google.com\x2Fnews\x2Fstory?ncl=http:\x2F\x2Fabclocal.go.com\x2Fwls\x2Fstory%3Fsection%3Dnews\x2Fentertainment%26id%3D9028719\x26amp\x3Bhl=en\x26amp\x3Bgeo=us\x22\x3ESee all stories on this topic \x26raquo\x3B\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3Ctd align=\x22center\x22 width=\x2280\x22 valign=\x22top\x22\x3E\x3Ca href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fabclocal.go.com\x2Fwls\x2Fstory%3Fsection%3Dnews\x2Fentertainment%26id%3D9028719\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoAjAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNESLQ7n5GyatT5Hee48WI0N9_nE_g\x22 target=\x22_blank\x22\x3E\x3Cimg border=\x220\x22 src=\x22http:\x2F\x2Fnt2.ggpht.com\x2Fnews\x2Ftbn\x2F6oBxtKRkOqcJ\x22 alt=\x22\x22 width=\x2280\x22 height=\x2245\x22\x3E\x3C\x2Fa\x3E\x3Cfont size=\x22-2\x22\x3E\x3Cbr\x3E\x3Ca href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fabclocal.go.com\x2Fwls\x2Fstory%3Fsection%3Dnews\x2Fentertainment%26id%3D9028719\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoAzAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNESLQ7n5GyatT5Hee48WI0N9_nE_g\x22 target=\x22_blank\x22\x3EABC7Chicago.com\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.fiercepharma.com\x2Fstory\x2Fvivus-hopes-weight-loss-app-will-fatten-qsymia-sales\x2F2013-03-15\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoATAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNELrV1hG_3m3AvQB6pXiRWlfwLWKQ\x22 target=\x22_blank\x22\x3EVivus hopes \x3Cb\x3Eweight\x3C\x2Fb\x3E-\x3Cb\x3Eloss\x3C\x2Fb\x3E app will fatten up Qsymia sales\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Ca style=\x22text-decoration:none\x3Bcolor:#777777\x3Bcursor:default\x22 href=\x22\x22\x3EFiercePharma\x3C\x2Fa\x3E\x3Cbr\x3EThe company ($VVUS), which has found the uptake slow on its highly vaunted drug, last week launched a mobile version of the \x3Cb\x3Eweight\x3C\x2Fb\x3E-\x3Cb\x3Eloss\x3C\x2Fb\x3E support tools already on its website, Medical Marketing \x26amp\x3B Media reports. The app, which works on Android and Apple \x3Cb\x3E...\x3C\x2Fb\x3E\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fnews.google.com\x2Fnews\x2Fstory%3Fncl%3Dhttp:\x2F\x2Fwww.fiercepharma.com\x2Fstory\x2Fvivus-hopes-weight-loss-app-will-fatten-qsymia-sales\x2F2013-03-15%26hl%3Den%26geo%3Dus\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoBjAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNFQixHZPAVWl0S9J9C5bV9rFZVU6A\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fnews.google.com\x2Fnews\x2Fstory?ncl=http:\x2F\x2Fwww.fiercepharma.com\x2Fstory\x2Fvivus-hopes-weight-loss-app-will-fatten-qsymia-sales\x2F2013-03-15\x26amp\x3Bhl=en\x26amp\x3Bgeo=us\x22\x3ESee all stories on this topic \x26raquo\x3B\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww2.tbo.com\x2Flifestyles\x2Flife\x2F2013\x2Fmar\x2F16\x2F4unewso2-memories-of-food-may-aid-weight-loss-ar-658477\x2F\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoATAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNHAxSbHqwiRa6hfIYQFe6SYUWEKzQ\x22 target=\x22_blank\x22\x3EMemories of food may aid \x3Cb\x3Eweight loss\x3C\x2Fb\x3E\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Ca style=\x22text-decoration:none\x3Bcolor:#777777\x3Bcursor:default\x22 href=\x22\x22\x3ETbo.com\x3C\x2Fa\x3E\x3Cbr\x3EAnd the appeal could be that incorporating \x26quot\x3Battentive-eating principles\x26quot\x3B into people\x26#39\x3Bs habits could help with \x3Cb\x3Eweight loss\x3C\x2Fb\x3E and maintenance \x26quot\x3Bwithout the need for conscious calorie counting.\x26quot\x3B The current studies differed from other strategies in use, such \x3Cb\x3E...\x3C\x2Fb\x3E\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fnews.google.com\x2Fnews\x2Fstory%3Fncl%3Dhttp:\x2F\x2Fwww2.tbo.com\x2Flifestyles\x2Flife\x2F2013\x2Fmar\x2F16\x2F4unewso2-memories-of-food-may-aid-weight-loss-ar-658477\x2F%26hl%3Den%26geo%3Dus\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoBjAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNGak_PRGeg7VDOMQ7cnw4_7aox-wg\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fnews.google.com\x2Fnews\x2Fstory?ncl=http:\x2F\x2Fwww2.tbo.com\x2Flifestyles\x2Flife\x2F2013\x2Fmar\x2F16\x2F4unewso2-memories-of-food-may-aid-weight-loss-ar-658477\x2F\x26amp\x3Bhl=en\x26amp\x3Bgeo=us\x22\x3ESee all stories on this topic \x26raquo\x3B\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.bgdailynews.com\x2Ffeatures\x2Fwellness\x2Fsurgical-weight-loss-seminar-wednesday\x2Farticle_27ef6ffe-8e17-11e2-beb7-001a4bcf887a.html\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoATAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNGdf7eJLEXj3hgSwK4zIvee4XDcbQ\x22 target=\x22_blank\x22\x3ESurgical \x3Cb\x3Eweight loss\x3C\x2Fb\x3E seminar Wednesday\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Ca style=\x22text-decoration:none\x3Bcolor:#777777\x3Bcursor:default\x22 href=\x22\x22\x3EBowling Green Daily News\x3C\x2Fa\x3E\x3Cbr\x3EA free surgical \x3Cb\x3Eweight loss\x3C\x2Fb\x3E information seminar will be at 5:30 p.m. Wednesday at The Medical Center at Franklin. Bariatric surgeon Dr. O. Raphael Nwanguma of Bluegrass Bariatric Surgical Associates and staff from The Medical Center Surgical \x3Cb\x3EWeight\x3C\x2Fb\x3E \x3Cb\x3E...\x3C\x2Fb\x3E\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fnews.google.com\x2Fnews\x2Fstory%3Fncl%3Dhttp:\x2F\x2Fwww.bgdailynews.com\x2Ffeatures\x2Fwellness\x2Fsurgical-weight-loss-seminar-wednesday\x2Farticle_27ef6ffe-8e17-11e2-beb7-001a4bcf887a.html%26hl%3Den%26geo%3Dus\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoBjAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNGTPF50yQiYB5FBm6K0WHPX-yX1jQ\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fnews.google.com\x2Fnews\x2Fstory?ncl=http:\x2F\x2Fwww.bgdailynews.com\x2Ffeatures\x2Fwellness\x2Fsurgical-weight-loss-seminar-wednesday\x2Farticle_27ef6ffe-8e17-11e2-beb7-001a4bcf887a.html\x26amp\x3Bhl=en\x26amp\x3Bgeo=us\x22\x3ESee all stories on this topic \x26raquo\x3B\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Frye.patch.com\x2Farticles\x2Fnew-nyack-business-offers-new-weight-loss-approach-159269d5\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoATAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNGox2rJQwnwDwxGa-EzMFhzebLKQg\x22 target=\x22_blank\x22\x3ENew Nyack Business Offers New \x3Cb\x3EWeight Loss\x3C\x2Fb\x3E Approach\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Ca style=\x22text-decoration:none\x3Bcolor:#777777\x3Bcursor:default\x22 href=\x22\x22\x3EPatch.com\x3C\x2Fa\x3E\x3Cbr\x3E“I always planned to open a private practice in Rockland and the timing was perfect professionally and personally. There currently is no other physician in Rockland that dedicates 100 percent of their practice to \x3Cb\x3Eweight management\x3C\x2Fb\x3E and preventive medicine.\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fnews.google.com\x2Fnews\x2Fstory%3Fncl%3Dhttp:\x2F\x2Frye.patch.com\x2Farticles\x2Fnew-nyack-business-offers-new-weight-loss-approach-159269d5%26hl%3Den%26geo%3Dus\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoBjAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNG_ZuK95QwYKcAWFzV_28xhO8HG-Q\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fnews.google.com\x2Fnews\x2Fstory?ncl=http:\x2F\x2Frye.patch.com\x2Farticles\x2Fnew-nyack-business-offers-new-weight-loss-approach-159269d5\x26amp\x3Bhl=en\x26amp\x3Bgeo=us\x22\x3ESee all stories on this topic \x26raquo\x3B\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.necn.com\x2F03\x2F15\x2F13\x2FDoing-it-Right-Weight-loss-journey\x2Flanding.html%3FblockID%3D834793%26feedID%3D8498\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoATAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNHoLzA0B5itz-_TSLL7hT_tLT-Pgg\x22 target=\x22_blank\x22\x3EDoing it Right: \x3Cb\x3EWeight loss\x3C\x2Fb\x3E journey\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Ca style=\x22text-decoration:none\x3Bcolor:#777777\x3Bcursor:default\x22 href=\x22\x22\x3ENECN\x3C\x2Fa\x3E\x3Cbr\x3E(NECN) - For most of us, losing \x3Cb\x3Eweight\x3C\x2Fb\x3E doesn\x26#39\x3Bt happen overnight. But in the April issue of \x26quot\x3BIn Shape\x26quot\x3B magazine, Beyonce tells them that she was able to \x3Cb\x3Elose\x3C\x2Fb\x3E the 57 pounds she gained during pregnancy just three months after the birth of her daughter.\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fnews.google.com\x2Fnews\x2Fstory%3Fncl%3Dhttp:\x2F\x2Fwww.necn.com\x2F03\x2F15\x2F13\x2FDoing-it-Right-Weight-loss-journey\x2Flanding.html%253FblockID%253D834793%2526feedID%253D8498%26hl%3Den%26geo%3Dus\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoBjAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNHu4XX-9-kpzBQev9xIF6MpJ3jAOQ\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fnews.google.com\x2Fnews\x2Fstory?ncl=http:\x2F\x2Fwww.necn.com\x2F03\x2F15\x2F13\x2FDoing-it-Right-Weight-loss-journey\x2Flanding.html%3FblockID%3D834793%26feedID%3D8498\x26amp\x3Bhl=en\x26amp\x3Bgeo=us\x22\x3ESee all stories on this topic \x26raquo\x3B\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22 width=\x22100%\x22\x3E\x3Ctr\x3E\x3Ctd valign=\x22top\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.foodnavigator-usa.com\x2FBusiness\x2FAmway-bases-new-weight-management-plans-on-in-home-genetic-test\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoATAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNF2HTj4MZwKitzq6yxwPMChacGMEg\x22 target=\x22_blank\x22\x3EAmway bases new \x3Cb\x3Eweight management\x3C\x2Fb\x3E plans on in-home genetic test\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Ca style=\x22text-decoration:none\x3Bcolor:#777777\x3Bcursor:default\x22 href=\x22\x22\x3EFoodNavigator-USA.com\x3C\x2Fa\x3E\x3Cbr\x3ENetwork selling giant Amway has launched an integrated \x3Cb\x3Eweight management\x3C\x2Fb\x3E program based on genetic testing. The program uses a simple test kit to help consumers determine which of several \x3Cb\x3Eweight loss\x3C\x2Fb\x3E regimens will work best for them.\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fnews.google.com\x2Fnews\x2Fstory%3Fncl%3Dhttp:\x2F\x2Fwww.foodnavigator-usa.com\x2FBusiness\x2FAmway-bases-new-weight-management-plans-on-in-home-genetic-test%26hl%3Den%26geo%3Dus\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoBjAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNFZ096Uc447u4yZUkGB6IsVY4uX_w\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fnews.google.com\x2Fnews\x2Fstory?ncl=http:\x2F\x2Fwww.foodnavigator-usa.com\x2FBusiness\x2FAmway-bases-new-weight-management-plans-on-in-home-genetic-test\x26amp\x3Bhl=en\x26amp\x3Bgeo=us\x22\x3ESee all stories on this topic \x26raquo\x3B\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3Ctd align=\x22center\x22 width=\x2280\x22 valign=\x22top\x22\x3E\x3Ca href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.foodnavigator-usa.com\x2FBusiness\x2FAmway-bases-new-weight-management-plans-on-in-home-genetic-test\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoAjAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNF2HTj4MZwKitzq6yxwPMChacGMEg\x22 target=\x22_blank\x22\x3E\x3Cimg border=\x220\x22 src=\x22http:\x2F\x2Fnt1.ggpht.com\x2Fnews\x2Ftbn\x2FwZOxmvftUNAJ\x22 alt=\x22\x22 width=\x2280\x22 height=\x2253\x22\x3E\x3C\x2Fa\x3E\x3Cfont size=\x22-2\x22\x3E\x3Cbr\x3E\x3Ca href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.foodnavigator-usa.com\x2FBusiness\x2FAmway-bases-new-weight-management-plans-on-in-home-genetic-test\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoAzAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNF2HTj4MZwKitzq6yxwPMChacGMEg\x22 target=\x22_blank\x22\x3EFoodNavigator-USA.com\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22 width=\x22100%\x22\x3E\x3Ctr\x3E\x3Ctd valign=\x22top\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.emaxhealth.com\x2F1020\x2Fstruggling-weight-loss-three-surprising-findings-about-how-olive-oil-can-help\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoATAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNH1dtpOlkd7VSkcXwgschSrreBBlg\x22 target=\x22_blank\x22\x3EStruggling with \x3Cb\x3Eweight loss\x3C\x2Fb\x3E? 3 surprising findings about how olive oil can help\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Ca style=\x22text-decoration:none\x3Bcolor:#777777\x3Bcursor:default\x22 href=\x22\x22\x3EeMaxHealth\x3C\x2Fa\x3E\x3Cbr\x3EResults of a study show olive oil could help with \x3Cb\x3Eweight loss\x3C\x2Fb\x3E and curb hunger. According to the findings, natural oils have the ability to help us feel full after eating. Consuming fewer calories is recommended for losing weight and avoiding weight \x3Cb\x3E...\x3C\x2Fb\x3E\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fnews.google.com\x2Fnews\x2Fstory%3Fncl%3Dhttp:\x2F\x2Fwww.emaxhealth.com\x2F1020\x2Fstruggling-weight-loss-three-surprising-findings-about-how-olive-oil-can-help%26hl%3Den%26geo%3Dus\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoBjAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNFrn4uP7WG8ox0sA-nTARtwIWNYLg\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fnews.google.com\x2Fnews\x2Fstory?ncl=http:\x2F\x2Fwww.emaxhealth.com\x2F1020\x2Fstruggling-weight-loss-three-surprising-findings-about-how-olive-oil-can-help\x26amp\x3Bhl=en\x26amp\x3Bgeo=us\x22\x3ESee all stories on this topic \x26raquo\x3B\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3Ctd align=\x22center\x22 width=\x2280\x22 valign=\x22top\x22\x3E\x3Ca href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.emaxhealth.com\x2F1020\x2Fstruggling-weight-loss-three-surprising-findings-about-how-olive-oil-can-help\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoAjAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNH1dtpOlkd7VSkcXwgschSrreBBlg\x22 target=\x22_blank\x22\x3E\x3Cimg border=\x220\x22 src=\x22http:\x2F\x2Fnt3.ggpht.com\x2Fnews\x2Ftbn\x2Fk5qXUIMbrd0J\x22 alt=\x22\x22 width=\x2280\x22 height=\x2264\x22\x3E\x3C\x2Fa\x3E\x3Cfont size=\x22-2\x22\x3E\x3Cbr\x3E\x3Ca href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.emaxhealth.com\x2F1020\x2Fstruggling-weight-loss-three-surprising-findings-about-how-olive-oil-can-help\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAAoAzAAOABAipCRigVIA1AAWABiBWVuLVVT\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNH1dtpOlkd7VSkcXwgschSrreBBlg\x22 target=\x22_blank\x22\x3EeMaxHealth\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3Cbr\x3E\x0A'
//}
//,
//{
//'input': 'WEB',
//'html': '\x0A\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22\x3E\x3Ctr\x3E\x3Ctd style=\x22background-color:#EBEFF9\x3B padding: 4px 8px 4px 8px\x22\x3E\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22 width=\x22100%\x22\x3E\x3Ctr\x3E\x3Ctd\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cnobr\x3E\x3Cb\x3EWeb\x3C\x2Fb\x3E\x3C\x2Fnobr\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3Ctd width=\x2270%\x22 align=\x22right\x22\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cb\x3E5\x3C\x2Fb\x3E new results for \x3Cb\x3Eweight loss\x3C\x2Fb\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd\x3E\x26nbsp\x3B\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.sciencedaily.com\x2Freleases\x2F2013\x2F03\x2F130313012632.htm\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAEoATAAOABAipCRigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNH31zc3oJ_THLk4X_5bzneIvyKPtQ\x22 target=\x22_blank\x22\x3EStructured \x3Cb\x3Eweight loss\x3C\x2Fb\x3E program helps kids from low-income families \x3Cb\x3E...\x3C\x2Fb\x3E\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3EOverweight and obese children in low-income households can meet or exceed the Expert Committee Recommendations Regarding the Prevention, Assessment \x3Cb\x3E...\x3C\x2Fb\x3E\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.sciencedaily.com\x2Freleases\x2F2013\x2F03\x2F130313012632.htm\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAEoBDAAOABAipCRigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNH31zc3oJ_THLk4X_5bzneIvyKPtQ\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fwww.sciencedaily.com\x2Freleases\x2F2013\x2F03\x2F130313012632.htm\x22\x3Ewww.sciencedaily.com\x2Freleases\x2F2013\x2F03\x2F130313012632.htm\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.glamour.com\x2Fhealth-fitness\x2F2013\x2F03\x2Fweight-loss-tips-health-experts-wish-they-heard-years-ago\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAEoATAAOABAipCRigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNEYn0pryDsA4NGqzPv6ZYzSIKBR3A\x22 target=\x22_blank\x22\x3E\x26quot\x3BDear Less-Healthy Me:\x26quot\x3B The \x3Cb\x3EWeight\x3C\x2Fb\x3E-\x3Cb\x3ELoss\x3C\x2Fb\x3E Tips Health Experts Wish \x3Cb\x3E...\x3C\x2Fb\x3E\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3ETrainers and chefs (many of whom have dropped pounds themselves!) share their best advice forhealthy eating and \x3Cb\x3Eweight loss\x3C\x2Fb\x3E so you don\x26#39\x3Bt make the same \x3Cb\x3E...\x3C\x2Fb\x3E\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.glamour.com\x2Fhealth-fitness\x2F2013\x2F03\x2Fweight-loss-tips-health-experts-wish-they-heard-years-ago\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAEoBDAAOABAipCRigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNEYn0pryDsA4NGqzPv6ZYzSIKBR3A\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fwww.glamour.com\x2Fhealth-fitness\x2F2013\x2F03\x2Fweight-loss-tips-health-experts-wish-they-heard-years-ago\x22\x3Ewww.glamour.com\x2F...\x2Fweight-loss-tips-health-experts-wish-the...\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.boston.com\x2Flifestyle\x2Fhealth\x2Fblog\x2Fnutrition\x2F2013\x2F03\x2F6_tips_to_avoid_dangerous_weig.html\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAEoATAAOABAipCRigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNFIK8miR8GakWKwt5AW7QY72UogZg\x22 target=\x22_blank\x22\x3E6 Tips to Avoid Dangerous \x3Cb\x3EWeight Loss\x3C\x2Fb\x3E and Health Fraud Scams \x3Cb\x3E...\x3C\x2Fb\x3E\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3EPhoto Source: FDAWith daylight savings starting this week, many of us are thinking about losing our winter \x3Cb\x3Eweight\x3C\x2Fb\x3E. Unfortunately, springtime is prime time for the \x3Cb\x3E...\x3C\x2Fb\x3E\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.boston.com\x2Flifestyle\x2Fhealth\x2Fblog\x2Fnutrition\x2F2013\x2F03\x2F6_tips_to_avoid_dangerous_weig.html\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAEoBDAAOABAipCRigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNFIK8miR8GakWKwt5AW7QY72UogZg\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fwww.boston.com\x2Flifestyle\x2Fhealth\x2Fblog\x2Fnutrition\x2F2013\x2F03\x2F6_tips_to_avoid_dangerous_weig.html\x22\x3Ewww.boston.com\x2F...\x2F6_tips_to_avoid_dangerous_weig.html\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fradio.foxnews.com\x2F2013\x2F03\x2F13\x2Fhousecall-for-health-sleep-more-weigh-less\x2F\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAEoATAAOABAipCRigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNHrjQttVrDjKOZ_s1xk9YdO4ZuQPg\x22 target=\x22_blank\x22\x3EHousecall for Health: Sleep \x26amp\x3B \x3Cb\x3EWeight Loss\x3C\x2Fb\x3E ? FOX News Radio\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3ELosing \x3Cb\x3Eweight\x3C\x2Fb\x3E is not just about diet and exercise, according to new research the amount of sleep you get is a key factor too. FOX\x26#39\x3Bs Colleen Cappon reports in \x3Cb\x3E...\x3C\x2Fb\x3E\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fradio.foxnews.com\x2F2013\x2F03\x2F13\x2Fhousecall-for-health-sleep-more-weigh-less\x2F\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAEoBDAAOABAipCRigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNHrjQttVrDjKOZ_s1xk9YdO4ZuQPg\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fradio.foxnews.com\x2F2013\x2F03\x2F13\x2Fhousecall-for-health-sleep-more-weigh-less\x2F\x22\x3Eradio.foxnews.com\x2F...\x2Fhousecall-for-health-sleep-more-weigh-l...\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.nytimes.com\x2F2013\x2F03\x2F17\x2Ffashion\x2Ftanya-zuckerbrot-sets-a-weight-loss-example.html%3Fpagewanted%3Dall\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAEoATAAOABAipCRigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNG2zi_3ozVyt36_w_BNihZ__6TWxA\x22 target=\x22_blank\x22\x3ELeading and Losing by Example\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3EJust who is Tanya Zuckerbrot, and why are so many people willing to pay her so much to give them a nutritional makeover?\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.nytimes.com\x2F2013\x2F03\x2F17\x2Ffashion\x2Ftanya-zuckerbrot-sets-a-weight-loss-example.html%3Fpagewanted%3Dall\x26amp\x3Bct=ga\x26amp\x3Bcad=CAcQAxgAIAEoBDAAOABAipCRigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=1flk2fr1UqU\x26amp\x3Busg=AFQjCNG2zi_3ozVyt36_w_BNihZ__6TWxA\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fwww.nytimes.com\x2F2013\x2F03\x2F17\x2Ffashion\x2Ftanya-zuckerbrot-sets-a-weight-loss-example.html?pagewanted=all\x22\x3Ewww.nytimes.com\x2F...\x2Ftanya-zuckerbrot-sets-a-weight-loss-exa...\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3Cbr\x3E\x0A'
//}
//]
//}";

            string jsonText = @"
{
'query': 'weight loss',
'frequency': '3',
'has_recent_results': 0,
'results': [
{
'input': 'BOOKS',
'html': '\x0A\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22\x3E\x3Ctr\x3E\x3Ctd style=\x22background-color:#EBEFF9\x3B padding: 4px 8px 4px 8px\x22\x3E\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22 width=\x22100%\x22\x3E\x3Ctr\x3E\x3Ctd\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cnobr\x3E\x3Cb\x3EBooks\x3C\x2Fb\x3E\x3C\x2Fnobr\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3Ctd width=\x2270%\x22 align=\x22right\x22\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cb\x3E9\x3C\x2Fb\x3E new results for \x3Cb\x3Eweight loss\x3C\x2Fb\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd\x3E\x26nbsp\x3B\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22 width=\x22100%\x22\x3E\x3Ctr\x3E\x3Ctd align=\x22center\x22 style=\x22padding:0px 6px 6px 0px\x3Bwidth:58px\x22 valign=\x22top\x22\x3E\x3Ca href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3DQG9SLRn0ZHcC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoAjAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNG1QbT5Uhqp6a8765bFn83RYPF8KA\x22 target=\x22_blank\x22\x3E\x3Cimg border=\x220\x22 src=\x22http:\x2F\x2Fbks6.books.google.com\x2Fbooks?id=QG9SLRn0ZHcC\x26amp\x3Bprintsec=frontcover\x26amp\x3Bimg=1\x26amp\x3Bzoom=5\x26amp\x3Bedge=curl\x26amp\x3Bh=80\x26amp\x3Bw=52\x22 alt=\x22\x22 width=\x2252\x22 height=\x2280\x22 style=\x22padding:2px\x22\x3E\x3C\x2Fa\x3E\x3C\x2Ftd\x3E\x3Ctd valign=\x22top\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3DQG9SLRn0ZHcC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoATAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNG1QbT5Uhqp6a8765bFn83RYPF8KA\x22 target=\x22_blank\x22\x3EWeight Loss Boss: How to Finally Win at Losing--and Take Charge in ...\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cfont color=\x22#777777\x22\x3EDavid Kirchhoff\x3C\x2Ffont\x3E\x3Cfont color=\x22#777777\x22\x3E - 2012\x3C\x2Ffont\x3E\x3Cfont color=\x22#777777\x22\x3E - 288 pages\x3C\x2Ffont\x3E\x0A\x3Cfont cgolor=\x22#777777\x22\x3E - \x3C\x2Ffont\x3E\x3Ca style=\x22color: #3366CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3DQG9SLRn0ZHcC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoDDAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNG1QbT5Uhqp6a8765bFn83RYPF8KA\x22 target=\x22_blank\x22\x3EPreview\x3C\x2Fa\x3E\x3Cbr\x3EThe president and CEO of Weight Watchers International and popular Man Meets Scale blogger chronicles the story of his personal weight-loss journey while explaining the strategies, nutritional practices and exercise routines that have been ...\x3Cbr\x3E\x3Ca style=\x22text-decoration:none\x3Bcolor:#228822\x3Bcursor:default\x22 href=\x22\x22\x3Ebooks.google.com\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22 width=\x22100%\x22\x3E\x3Ctr\x3E\x3Ctd align=\x22center\x22 style=\x22padding:0px 6px 6px 0px\x3Bwidth:63px\x22 valign=\x22top\x22\x3E\x3Ca href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3Dp2v3SbLliCkC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoAjAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNGp5MKuTjAHVCdYJ9E74qVt5-_Ljg\x22 target=\x22_blank\x22\x3E\x3Cimg border=\x220\x22 src=\x22http:\x2F\x2Fbks2.books.google.com\x2Fbooks?id=p2v3SbLliCkC\x26amp\x3Bprintsec=frontcover\x26amp\x3Bimg=1\x26amp\x3Bzoom=5\x26amp\x3Bedge=curl\x26amp\x3Bh=80\x26amp\x3Bw=57\x22 alt=\x22\x22 width=\x2257\x22 height=\x2280\x22 style=\x22padding:2px\x22\x3E\x3C\x2Fa\x3E\x3C\x2Ftd\x3E\x3Ctd valign=\x22top\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3Dp2v3SbLliCkC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoATAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNGp5MKuTjAHVCdYJ9E74qVt5-_Ljg\x22 target=\x22_blank\x22\x3E\x3Cb\x3EWeight\x3C\x2Fb\x3E \x3Cb\x3ELoss\x3C\x2Fb\x3E\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cfont color=\x22#777777\x22\x3EAndrew Larson\x3C\x2Ffont\x3E\x3Cfont color=\x22#777777\x22\x3E - 2005\x3C\x2Ffont\x3E\x3Cfont color=\x22#777777\x22\x3E - 132 pages\x3C\x2Ffont\x3E\x0A\x3Cfont cgolor=\x22#777777\x22\x3E - \x3C\x2Ffont\x3E\x3Ca style=\x22color: #3366CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3Dp2v3SbLliCkC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoDDAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNGp5MKuTjAHVCdYJ9E74qVt5-_Ljg\x22 target=\x22_blank\x22\x3EPreview\x3C\x2Fa\x3E\x3Cbr\x3EThis new series from Chicken Soup for the Soul - inspirational stories followed by positive, practical medical advice for caregivers and patients - is the perfect blend of emotional support and vital information about weight loss including: ...\x3Cbr\x3E\x3Ca style=\x22text-decoration:none\x3Bcolor:#228822\x3Bcursor:default\x22 href=\x22\x22\x3Ebooks.google.com\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22 width=\x22100%\x22\x3E\x3Ctr\x3E\x3Ctd align=\x22center\x22 style=\x22padding:0px 6px 6px 0px\x3Bwidth:56px\x22 valign=\x22top\x22\x3E\x3Ca href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3Da-Q-q-aE89IC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoAjAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNEULHRe55ynCSlHVx48gLY_3v_cpA\x22 target=\x22_blank\x22\x3E\x3Cimg border=\x220\x22 src=\x22http:\x2F\x2Fbks2.books.google.com\x2Fbooks?id=a-Q-q-aE89IC\x26amp\x3Bprintsec=frontcover\x26amp\x3Bimg=1\x26amp\x3Bzoom=5\x26amp\x3Bedge=curl\x26amp\x3Bh=80\x26amp\x3Bw=50\x22 alt=\x22\x22 width=\x2250\x22 height=\x2280\x22 style=\x22padding:2px\x22\x3E\x3C\x2Fa\x3E\x3C\x2Ftd\x3E\x3Ctd valign=\x22top\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3Da-Q-q-aE89IC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoATAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNEULHRe55ynCSlHVx48gLY_3v_cpA\x22 target=\x22_blank\x22\x3E\x3Cb\x3EWeight\x3C\x2Fb\x3E \x3Cb\x3ELoss\x3C\x2Fb\x3E\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cfont color=\x22#777777\x22\x3EDr.Rajeshwari\x3C\x2Ffont\x3E\x3Cfont color=\x22#777777\x22\x3E - 1995\x3C\x2Ffont\x3E\x3Cfont color=\x22#777777\x22\x3E - 128 pages\x3C\x2Ffont\x3E\x0A\x3Cfont cgolor=\x22#777777\x22\x3E - \x3C\x2Ffont\x3E\x3Ca style=\x22color: #3366CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3Da-Q-q-aE89IC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoDDAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNEULHRe55ynCSlHVx48gLY_3v_cpA\x22 target=\x22_blank\x22\x3EPreview\x3C\x2Fa\x3E\x3Cbr\x3EThis book is aimed at those who would like to treat themselves naturally through the simple methods given.\x3Cbr\x3E\x3Ca style=\x22text-decoration:none\x3Bcolor:#228822\x3Bcursor:default\x22 href=\x22\x22\x3Ebooks.google.com\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22 width=\x22100%\x22\x3E\x3Ctr\x3E\x3Ctd align=\x22center\x22 style=\x22padding:0px 6px 6px 0px\x3Bwidth:62px\x22 valign=\x22top\x22\x3E\x3Ca href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3DT0vYV8DtQgoC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoAjAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNE462-m_xzwdzDU-D-4Zvx7NDvzSw\x22 target=\x22_blank\x22\x3E\x3Cimg border=\x220\x22 src=\x22http:\x2F\x2Fbks1.books.google.com\x2Fbooks?id=T0vYV8DtQgoC\x26amp\x3Bprintsec=frontcover\x26amp\x3Bimg=1\x26amp\x3Bzoom=5\x26amp\x3Bedge=curl\x26amp\x3Bh=80\x26amp\x3Bw=56\x22 alt=\x22\x22 width=\x2256\x22 height=\x2280\x22 style=\x22padding:2px\x22\x3E\x3C\x2Fa\x3E\x3C\x2Ftd\x3E\x3Ctd valign=\x22top\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3DT0vYV8DtQgoC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoATAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNE462-m_xzwdzDU-D-4Zvx7NDvzSw\x22 target=\x22_blank\x22\x3E\x3Cb\x3EWeight\x3C\x2Fb\x3E \x3Cb\x3ELoss\x3C\x2Fb\x3E: A Quick Reference Guide\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cfont color=\x22#777777\x22\x3EAnna Manning\x3C\x2Ffont\x3E\x3Cfont color=\x22#777777\x22\x3E - 2007\x3C\x2Ffont\x3E\x3Cfont color=\x22#777777\x22\x3E - 107 pages\x3C\x2Ffont\x3E\x0A\x3Cfont cgolor=\x22#777777\x22\x3E - \x3C\x2Ffont\x3E\x3Ca style=\x22color: #3366CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3DT0vYV8DtQgoC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoDDAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNE462-m_xzwdzDU-D-4Zvx7NDvzSw\x22 target=\x22_blank\x22\x3EPreview\x3C\x2Fa\x3E\x3Cbr\x3EThink of it as your pocket weight loss coach: a quick read to get you on track to a healthier, slender body.\x3Cbr\x3E\x3Ca style=\x22text-decoration:none\x3Bcolor:#228822\x3Bcursor:default\x22 href=\x22\x22\x3Ebooks.google.com\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22 width=\x22100%\x22\x3E\x3Ctr\x3E\x3Ctd align=\x22center\x22 style=\x22padding:0px 6px 6px 0px\x3Bwidth:59px\x22 valign=\x22top\x22\x3E\x3Ca href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3DRZ--GUuNo0sC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoAjAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNFdoczry_tFH1LurrBFAiJbNAmj1A\x22 target=\x22_blank\x22\x3E\x3Cimg border=\x220\x22 src=\x22http:\x2F\x2Fbks5.books.google.com\x2Fbooks?id=RZ--GUuNo0sC\x26amp\x3Bprintsec=frontcover\x26amp\x3Bimg=1\x26amp\x3Bzoom=5\x26amp\x3Bedge=curl\x26amp\x3Bh=80\x26amp\x3Bw=53\x22 alt=\x22\x22 width=\x2253\x22 height=\x2280\x22 style=\x22padding:2px\x22\x3E\x3C\x2Fa\x3E\x3C\x2Ftd\x3E\x3Ctd valign=\x22top\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3DRZ--GUuNo0sC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoATAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNFdoczry_tFH1LurrBFAiJbNAmj1A\x22 target=\x22_blank\x22\x3E\x3Cb\x3EWeight\x3C\x2Fb\x3E-\x3Cb\x3ELoss\x3C\x2Fb\x3E Apocalypse: Emotional Eating Rehab Through the Hcg ...\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cfont color=\x22#777777\x22\x3ERobin Phipps Woodall\x3C\x2Ffont\x3E\x3Cfont color=\x22#777777\x22\x3E - 2011\x3C\x2Ffont\x3E\x3Cfont color=\x22#777777\x22\x3E - 204 pages\x3C\x2Ffont\x3E\x0A\x3Cfont cgolor=\x22#777777\x22\x3E - \x3C\x2Ffont\x3E\x3Ca style=\x22color: #3366CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3DRZ--GUuNo0sC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoDDAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNFdoczry_tFH1LurrBFAiJbNAmj1A\x22 target=\x22_blank\x22\x3EPreview\x3C\x2Fa\x3E\x3Cbr\x3EThis book was written to start a new conversation about how Dr. Simeons\x26#39\x3B protocol has relevance, not only as a hormonal therapy, but as a means to end our national eating disorder.\x3Cbr\x3E\x3Ca style=\x22text-decoration:none\x3Bcolor:#228822\x3Bcursor:default\x22 href=\x22\x22\x3Ebooks.google.com\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22 width=\x22100%\x22\x3E\x3Ctr\x3E\x3Ctd align=\x22center\x22 style=\x22padding:0px 6px 6px 0px\x3Bwidth:54px\x22 valign=\x22top\x22\x3E\x3Ca href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3DVxn4Hyj-skkC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoAjAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNGsYCUSVWbrOmCTMTm5Q9uGbVtsoQ\x22 target=\x22_blank\x22\x3E\x3Cimg border=\x220\x22 src=\x22http:\x2F\x2Fbks2.books.google.com\x2Fbooks?id=Vxn4Hyj-skkC\x26amp\x3Bprintsec=frontcover\x26amp\x3Bimg=1\x26amp\x3Bzoom=5\x26amp\x3Bedge=curl\x26amp\x3Bh=80\x26amp\x3Bw=48\x22 alt=\x22\x22 width=\x2248\x22 height=\x2280\x22 style=\x22padding:2px\x22\x3E\x3C\x2Fa\x3E\x3C\x2Ftd\x3E\x3Ctd valign=\x22top\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3DVxn4Hyj-skkC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoATAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNGsYCUSVWbrOmCTMTm5Q9uGbVtsoQ\x22 target=\x22_blank\x22\x3E\x3Cb\x3EWeight\x3C\x2Fb\x3E \x3Cb\x3ELoss\x3C\x2Fb\x3E Success: How I \x3Cb\x3ELost\x3C\x2Fb\x3E \x3Cb\x3EWeight\x3C\x2Fb\x3E and Kept It Off for Over 30 ...\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cfont color=\x22#777777\x22\x3EJoan Marie Verba\x3C\x2Ffont\x3E\x3Cfont color=\x22#777777\x22\x3E - 2010\x3C\x2Ffont\x3E\x3Cfont color=\x22#777777\x22\x3E - 32 pages\x3C\x2Ffont\x3E\x0A\x3Cfont cgolor=\x22#777777\x22\x3E - \x3C\x2Ffont\x3E\x3Ca style=\x22color: #3366CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3DVxn4Hyj-skkC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoDDAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNGsYCUSVWbrOmCTMTm5Q9uGbVtsoQ\x22 target=\x22_blank\x22\x3EPreview\x3C\x2Fa\x3E\x3Cbr\x3EIn this book, Joan Marie Verba shares the struggles, challenges, and insights she has experienced in her successful weight loss journey. She reached her weight goals in 1979 and kept the weight off ever since.\x3Cbr\x3E\x3Ca style=\x22text-decoration:none\x3Bcolor:#228822\x3Bcursor:default\x22 href=\x22\x22\x3Ebooks.google.com\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22 width=\x22100%\x22\x3E\x3Ctr\x3E\x3Ctd align=\x22center\x22 style=\x22padding:0px 6px 6px 0px\x3Bwidth:59px\x22 valign=\x22top\x22\x3E\x3Ca href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3DouQldak-PswC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoAjAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNFcdHZAEdNvLTknISjmghVZ4hyf5Q\x22 target=\x22_blank\x22\x3E\x3Cimg border=\x220\x22 src=\x22http:\x2F\x2Fbks8.books.google.com\x2Fbooks?id=ouQldak-PswC\x26amp\x3Bprintsec=frontcover\x26amp\x3Bimg=1\x26amp\x3Bzoom=5\x26amp\x3Bedge=curl\x26amp\x3Bh=80\x26amp\x3Bw=53\x22 alt=\x22\x22 width=\x2253\x22 height=\x2280\x22 style=\x22padding:2px\x22\x3E\x3C\x2Fa\x3E\x3C\x2Ftd\x3E\x3Ctd valign=\x22top\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3DouQldak-PswC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoATAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNFcdHZAEdNvLTknISjmghVZ4hyf5Q\x22 target=\x22_blank\x22\x3E\x3Cb\x3EWeight\x3C\x2Fb\x3E \x3Cb\x3ELoss\x3C\x2Fb\x3E: How to Keep Your Commitment\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cfont color=\x22#777777\x22\x3EJonni Good\x3C\x2Ffont\x3E\x3Cfont color=\x22#777777\x22\x3E - 2003\x3C\x2Ffont\x3E\x3Cfont color=\x22#777777\x22\x3E - 124 pages\x3C\x2Ffont\x3E\x0A\x3Cfont cgolor=\x22#777777\x22\x3E - \x3C\x2Ffont\x3E\x3Ca style=\x22color: #3366CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3DouQldak-PswC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoDDAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNFcdHZAEdNvLTknISjmghVZ4hyf5Q\x22 target=\x22_blank\x22\x3EPreview\x3C\x2Fa\x3E\x3Cbr\x3EThis book looks at the reasons why we are instinctively drawn to sugar, how we become addicted to this substance, and how to use the power of our own conscious mind to rise above these cravings.\x3Cbr\x3E\x3Ca style=\x22text-decoration:none\x3Bcolor:#228822\x3Bcursor:default\x22 href=\x22\x22\x3Ebooks.google.com\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22 width=\x22100%\x22\x3E\x3Ctr\x3E\x3Ctd align=\x22center\x22 style=\x22padding:0px 6px 6px 0px\x3Bwidth:66px\x22 valign=\x22top\x22\x3E\x3Ca href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3Dr34D7E6fmuUC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoAjAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNE0PGp8QZkrQRGxokMg6r9y2xCFLA\x22 target=\x22_blank\x22\x3E\x3Cimg border=\x220\x22 src=\x22http:\x2F\x2Fbks6.books.google.com\x2Fbooks?id=r34D7E6fmuUC\x26amp\x3Bprintsec=frontcover\x26amp\x3Bimg=1\x26amp\x3Bzoom=5\x26amp\x3Bedge=curl\x26amp\x3Bh=80\x26amp\x3Bw=60\x22 alt=\x22\x22 width=\x2260\x22 height=\x2280\x22 style=\x22padding:2px\x22\x3E\x3C\x2Fa\x3E\x3C\x2Ftd\x3E\x3Ctd valign=\x22top\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3Dr34D7E6fmuUC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoATAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNE0PGp8QZkrQRGxokMg6r9y2xCFLA\x22 target=\x22_blank\x22\x3E\x3Cb\x3EWeightloss\x3C\x2Fb\x3E Warrior EBook\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cfont color=\x22#777777\x22\x3ETiffany Hall\x3C\x2Ffont\x3E\x3Cfont color=\x22#777777\x22\x3E - 2011\x3C\x2Ffont\x3E\x3Cfont color=\x22#777777\x22\x3E - 323 pages\x3C\x2Ffont\x3E\x0A\x3Cfont cgolor=\x22#777777\x22\x3E - \x3C\x2Ffont\x3E\x3Ca style=\x22color: #3366CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3Dr34D7E6fmuUC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoDDAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNE0PGp8QZkrQRGxokMg6r9y2xCFLA\x22 target=\x22_blank\x22\x3EPreview\x3C\x2Fa\x3E\x3Cbr\x3EFrom the hugely popular Biggest Loser series comes Weightloss Warrior a fun, fresh take on losing weight - it\x26#39\x3Bs a \x26#39\x3Bno-diet\x26#39\x3B book detailing the importance of healthy eating, building a positive self-image and becoming your own expertly ...\x3Cbr\x3E\x3Ca style=\x22text-decoration:none\x3Bcolor:#228822\x3Bcursor:default\x22 href=\x22\x22\x3Ebooks.google.com\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22 width=\x22100%\x22\x3E\x3Ctr\x3E\x3Ctd align=\x22center\x22 style=\x22padding:0px 6px 6px 0px\x3Bwidth:62px\x22 valign=\x22top\x22\x3E\x3Ca href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3DjVbyBm6hQH0C%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoAjAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNEpRpUQ5j5qG56_hDs3SVnfYty5-Q\x22 target=\x22_blank\x22\x3E\x3Cimg border=\x220\x22 src=\x22http:\x2F\x2Fbks4.books.google.com\x2Fbooks?id=jVbyBm6hQH0C\x26amp\x3Bprintsec=frontcover\x26amp\x3Bimg=1\x26amp\x3Bzoom=5\x26amp\x3Bedge=curl\x26amp\x3Bh=80\x26amp\x3Bw=56\x22 alt=\x22\x22 width=\x2256\x22 height=\x2280\x22 style=\x22padding:2px\x22\x3E\x3C\x2Fa\x3E\x3C\x2Ftd\x3E\x3Ctd valign=\x22top\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3DjVbyBm6hQH0C%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoATAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNEpRpUQ5j5qG56_hDs3SVnfYty5-Q\x22 target=\x22_blank\x22\x3ECommon Sense \x3Cb\x3EWeight\x3C\x2Fb\x3E \x3Cb\x3ELoss\x3C\x2Fb\x3E\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cfont color=\x22#777777\x22\x3EJonathan Gibson\x3C\x2Ffont\x3E\x3Cfont color=\x22#777777\x22\x3E - 2009\x3C\x2Ffont\x3E\x3Cfont color=\x22#777777\x22\x3E - 78 pages\x3C\x2Ffont\x3E\x0A\x3Cfont cgolor=\x22#777777\x22\x3E - \x3C\x2Ffont\x3E\x3Ca style=\x22color: #3366CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fbooks.google.com\x2Fbooks%3Fid%3DjVbyBm6hQH0C%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den\x26amp\x3Bct=ga\x26amp\x3Bcad=CBYQAxgAIBIoDDAAOABA-5CbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=oNvPPtdXP6M\x26amp\x3Busg=AFQjCNEpRpUQ5j5qG56_hDs3SVnfYty5-Q\x22 target=\x22_blank\x22\x3EPreview\x3C\x2Fa\x3E\x3Cbr\x3EBegin your weight loss journey with motivational speaker Jonathan Gibson as he provides practical, common-sense solutions for overcoming barriers, realizing your true weight loss goals, adapting to positive changes, and creating the healthy ...\x3Cbr\x3E\x3Ca style=\x22text-decoration:none\x3Bcolor:#228822\x3Bcursor:default\x22 href=\x22\x22\x3Ebooks.google.com\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3Cbr\x3E\x0A'
}
]
}
";


//            string jsonText = @"{
//'query': 'weight loss',
//'frequency': '1',
//'has_recent_results': 1,
//'results': [
//{
//'input': 'GROUPS',
//'html': '\x0A\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22\x3E\x3Ctr\x3E\x3Ctd style=\x22background-color:#EBEFF9\x3B padding: 4px 8px 4px 8px\x22\x3E\x3Ctable cellpadding=\x220\x22 cellspacing=\x220\x22 border=\x220\x22 width=\x22100%\x22\x3E\x3Ctr\x3E\x3Ctd\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cnobr\x3E\x3Cb\x3EDiscussions\x3C\x2Fb\x3E\x3C\x2Fnobr\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3Ctd width=\x2270%\x22 align=\x22right\x22\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cb\x3E9\x3C\x2Fb\x3E new results for \x3Cb\x3Eweight loss\x3C\x2Fb\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd\x3E\x26nbsp\x3B\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.topix.com\x2Fforum\x2Fcity\x2Fashland-ky\x2FTA3T81C8UA3036CPD\x26amp\x3Bct=ga\x26amp\x3Bcad=CAgQARgAIAMoATAAOABA08GbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=AGCbfPIzeZI\x26amp\x3Busg=AFQjCNGfZLur-5OBLDSLz5gc6wYMocTAUw\x22 target=\x22_blank\x22\x3EHorizon \x3Cb\x3Eweight loss\x3C\x2Fb\x3E - Topix\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cspan style=\x22color:#777777\x22\x3ELast post: Mar 17, 2013\x3C\x2Fspan\x3E\x3Cbr\x3E3 hours ago \x3Cb\x3E...\x3C\x2Fb\x3E Horizon \x3Cb\x3Eweight loss\x3C\x2Fb\x3E. Posted in the Ashland Forum. Share. Read. Comments below. Add to my Tracker. More Ashland Discussions » \x3Cb\x3E...\x3C\x2Fb\x3E\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.topix.com\x2Fforum\x2Fcity\x2Fashland-ky\x2FTA3T81C8UA3036CPD\x26amp\x3Bct=ga\x26amp\x3Bcad=CAgQARgAIAMoBDAAOABA08GbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=AGCbfPIzeZI\x26amp\x3Busg=AFQjCNGfZLur-5OBLDSLz5gc6wYMocTAUw\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fwww.topix.com\x2Fforum\x2Fcity\x2Fashland-ky\x2FTA3T81C8UA3036CPD\x22\x3Ewww.topix.com\x2Fforum\x2Fcity\x2Fashland...\x2FTA3T81C8UA3036CPD\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.myfitnesspal.com\x2Ftopics\x2Fshow\x2F927968-help-for-post-weight-loss-diet%3Fpage%3D1\x26amp\x3Bct=ga\x26amp\x3Bcad=CAgQARgAIAMoATAAOABA08GbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=AGCbfPIzeZI\x26amp\x3Busg=AFQjCNGMZ3qrVqK_a-MYhrw5V2AB2EjGcQ\x22 target=\x22_blank\x22\x3EHelp for post \x3Cb\x3Eweight loss\x3C\x2Fb\x3E diet? | MyFitnessPal.com\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cspan style=\x22color:#777777\x22\x3E2 posts - 2 authors - Last post: Mar 17, 2013\x3C\x2Fspan\x3E\x3Cbr\x3EHello there! Well, let me get to the point. I\x26#39\x3Bm on, what you would call, a quick-fix diet. I know, I know, it\x26#39\x3Bs not good, but I decided personally that \x3Cb\x3E...\x3C\x2Fb\x3E\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.myfitnesspal.com\x2Ftopics\x2Fshow\x2F927968-help-for-post-weight-loss-diet%3Fpage%3D1\x26amp\x3Bct=ga\x26amp\x3Bcad=CAgQARgAIAMoBDAAOABA08GbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=AGCbfPIzeZI\x26amp\x3Busg=AFQjCNGMZ3qrVqK_a-MYhrw5V2AB2EjGcQ\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fwww.myfitnesspal.com\x2Ftopics\x2Fshow\x2F927968-help-for-post-weight-loss-diet?page=1\x22\x3Ewww.myfitnesspal.com\x2F...\x2F927968-help-for-post-weight-loss-d...\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.3fatchicks.com\x2Fforum\x2Fdepression-weight-issues\x2F277830-i-feel-depressed.html\x26amp\x3Bct=ga\x26amp\x3Bcad=CAgQARgAIAMoATAAOABA08GbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=AGCbfPIzeZI\x26amp\x3Busg=AFQjCNFT6yNCvZaj6j_kESyuF01DvCm6ig\x22 target=\x22_blank\x22\x3EI feel depressed.. - 3 Fat Chicks on a Diet \x3Cb\x3EWeight Loss\x3C\x2Fb\x3E Community \x3Cb\x3E...\x3C\x2Fb\x3E\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cspan style=\x22color:#777777\x22\x3E4 posts - 4 authors - Last post: Mar 17, 2013\x3C\x2Fspan\x3E\x3Cbr\x3EHello everyone.. I\x26#39\x3Bve suffered from a long term depression do to my \x3Cb\x3Eweight\x3C\x2Fb\x3E back when I was 20 years old and I remember locking up myself in \x3Cb\x3E...\x3C\x2Fb\x3E\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.3fatchicks.com\x2Fforum\x2Fdepression-weight-issues\x2F277830-i-feel-depressed.html\x26amp\x3Bct=ga\x26amp\x3Bcad=CAgQARgAIAMoBDAAOABA08GbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=AGCbfPIzeZI\x26amp\x3Busg=AFQjCNFT6yNCvZaj6j_kESyuF01DvCm6ig\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fwww.3fatchicks.com\x2Fforum\x2Fdepression-weight-issues\x2F277830-i-feel-depressed.html\x22\x3Ewww.3fatchicks.com\x2Fforum\x2F...\x2F277830-i-feel-depressed.html\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fanswers.yahoo.com\x2Fquestion\x2Findex%3Fqid%3D20130317151307AAXNaNt\x26amp\x3Bct=ga\x26amp\x3Bcad=CAgQARgAIAMoATAAOABA08GbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=AGCbfPIzeZI\x26amp\x3Busg=AFQjCNEkhnGKPCyHbjrMVT1wn293IEd30g\x22 target=\x22_blank\x22\x3EWill 50 pound \x3Cb\x3Eweight loss\x3C\x2Fb\x3E leave excess skin? - Yahoo! Answers\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cspan style=\x22color:#777777\x22\x3ELast post: Mar 17, 2013\x3C\x2Fspan\x3E\x3Cbr\x3ERight now I am about 50 pounds overweight. At my h…\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fanswers.yahoo.com\x2Fquestion\x2Findex%3Fqid%3D20130317151307AAXNaNt\x26amp\x3Bct=ga\x26amp\x3Bcad=CAgQARgAIAMoBDAAOABA08GbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=AGCbfPIzeZI\x26amp\x3Busg=AFQjCNEkhnGKPCyHbjrMVT1wn293IEd30g\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fanswers.yahoo.com\x2Fquestion\x2Findex?qid=20130317151307AAXNaNt\x22\x3Eanswers.yahoo.com\x2Fquestion\x2Findex?qid...\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.3fatchicks.com\x2Fforum\x2Fgeneral-diet-plans-questions\x2F277827-scale.html\x26amp\x3Bct=ga\x26amp\x3Bcad=CAgQARgAIAMoATAAOABA08GbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=AGCbfPIzeZI\x26amp\x3Busg=AFQjCNFOabJLl61F5fH4zOjcxz95RN18-w\x22 target=\x22_blank\x22\x3EThe Scale - 3 Fat Chicks on a Diet \x3Cb\x3EWeight Loss\x3C\x2Fb\x3E Community General \x3Cb\x3E...\x3C\x2Fb\x3E\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cspan style=\x22color:#777777\x22\x3E9 posts - 5 authors - Last post: Mar 17, 2013\x3C\x2Fspan\x3E\x3Cbr\x3ESome people say that you should weigh yourself once a week when trying to \x3Cb\x3Elose\x3C\x2Fb\x3E \x3Cb\x3Eweight\x3C\x2Fb\x3E but for me i get disapointed if i don\x26#39\x3Bt \x3Cb\x3Elose\x3C\x2Fb\x3E anything and \x3Cb\x3E...\x3C\x2Fb\x3E\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.3fatchicks.com\x2Fforum\x2Fgeneral-diet-plans-questions\x2F277827-scale.html\x26amp\x3Bct=ga\x26amp\x3Bcad=CAgQARgAIAMoBDAAOABA08GbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=AGCbfPIzeZI\x26amp\x3Busg=AFQjCNFOabJLl61F5fH4zOjcxz95RN18-w\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fwww.3fatchicks.com\x2Fforum\x2Fgeneral-diet-plans-questions\x2F277827-scale.html\x22\x3Ewww.3fatchicks.com\x2Fforum\x2Fgeneral-diet...\x2F277827-scale.html\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fforum.bodybuilding.com\x2Fshowthread.php%3Ft%3D152612333%26pagenumber%3D\x26amp\x3Bct=ga\x26amp\x3Bcad=CAgQARgAIAMoATAAOABA08GbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=AGCbfPIzeZI\x26amp\x3Busg=AFQjCNG-Zy_GvAyXKghDnzO9LjRJo9pZCw\x22 target=\x22_blank\x22\x3E\x3Cb\x3Eweight loss\x3C\x2Fb\x3E - Bodybuilding.com Forums\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cspan style=\x22color:#777777\x22\x3E2 posts - 2 authors - Last post: Mar 17, 2013\x3C\x2Fspan\x3E\x3Cbr\x3Ehey guys im looking to loose the fat any maintain my muscle mass. I was on a low -carb diet until i read its faults well now what i am doing is \x3Cb\x3E...\x3C\x2Fb\x3E\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fforum.bodybuilding.com\x2Fshowthread.php%3Ft%3D152612333%26pagenumber%3D\x26amp\x3Bct=ga\x26amp\x3Bcad=CAgQARgAIAMoBDAAOABA08GbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=AGCbfPIzeZI\x26amp\x3Busg=AFQjCNG-Zy_GvAyXKghDnzO9LjRJo9pZCw\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fforum.bodybuilding.com\x2Fshowthread.php?t=152612333\x26amp\x3Bpagenumber=\x22\x3Eforum.bodybuilding.com\x2Fshowthread.php?t=152612333...\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.inspire.com\x2Fgroups\x2Flung-cancer-survivors\x2Fdiscussion\x2Fdad-with-stage-iv-adenocarcinoma-weight-loss\x2F\x26amp\x3Bct=ga\x26amp\x3Bcad=CAgQARgAIAMoATAAOABA08GbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=AGCbfPIzeZI\x26amp\x3Busg=AFQjCNFMwNGRG4DTFErcAqpRSxCQQy1Mpw\x22 target=\x22_blank\x22\x3EDad with stage IV adenocarcinoma \x3Cb\x3Eweight loss\x3C\x2Fb\x3E - Discussion - Lung \x3Cb\x3E...\x3C\x2Fb\x3E\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cspan style=\x22color:#777777\x22\x3E2 posts - 1 author - Last post: Mar 17, 2013\x3C\x2Fspan\x3E\x3Cbr\x3EDad is set for radiation and then chemo two days later at the end of the month. He has lost so much \x3Cb\x3Eweight\x3C\x2Fb\x3E I am wondering if this will make \x3Cb\x3E...\x3C\x2Fb\x3E\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.inspire.com\x2Fgroups\x2Flung-cancer-survivors\x2Fdiscussion\x2Fdad-with-stage-iv-adenocarcinoma-weight-loss\x2F\x26amp\x3Bct=ga\x26amp\x3Bcad=CAgQARgAIAMoBDAAOABA08GbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=AGCbfPIzeZI\x26amp\x3Busg=AFQjCNFMwNGRG4DTFErcAqpRSxCQQy1Mpw\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fwww.inspire.com\x2Fgroups\x2Flung-cancer-survivors\x2Fdiscussion\x2Fdad-with-stage-iv-adenocarcinoma-weight-loss\x2F\x22\x3Ewww.inspire.com\x2F...\x2Fdad-with-stage-iv-adenocarcinoma-weigh...\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.myfitnesspal.com\x2Ftopics\x2Fshow\x2F928273-help-weight-loss-stalled\x26amp\x3Bct=ga\x26amp\x3Bcad=CAgQARgAIAMoATAAOABA08GbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=AGCbfPIzeZI\x26amp\x3Busg=AFQjCNEyDqRLlt2klvyUMAd0zO2_vEamQg\x22 target=\x22_blank\x22\x3EHELP!!! \x3Cb\x3EWeight loss\x3C\x2Fb\x3E stalled | MyFitnessPal.com\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cspan style=\x22color:#777777\x22\x3E1 post - 1 author - Last post: Mar 18, 2013\x3C\x2Fspan\x3E\x3Cbr\x3EHi, I\x26#39\x3Bm in need of some help and inspiration please. I have managed to \x3Cb\x3Elose\x3C\x2Fb\x3E 22lb, it was 23lb, then I had a static 3 weeks with no \x3Cb\x3Eloss\x3C\x2Fb\x3E and now I \x3Cb\x3E...\x3C\x2Fb\x3E\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fwww.myfitnesspal.com\x2Ftopics\x2Fshow\x2F928273-help-weight-loss-stalled\x26amp\x3Bct=ga\x26amp\x3Bcad=CAgQARgAIAMoBDAAOABA08GbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=AGCbfPIzeZI\x26amp\x3Busg=AFQjCNEyDqRLlt2klvyUMAd0zO2_vEamQg\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fwww.myfitnesspal.com\x2Ftopics\x2Fshow\x2F928273-help-weight-loss-stalled\x22\x3Ewww.myfitnesspal.com\x2Ftopics\x2F...\x2F928273-help-weight-loss-stall...\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3Ctr\x3E\x3Ctd style=\x22padding: 0px 8px 16px 8px\x3B\x22\x3E\x3Ca style=\x22color: #1111CC\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fforum.baby-gaga.com\x2Fabout2466681.html\x26amp\x3Bct=ga\x26amp\x3Bcad=CAgQARgAIAMoATAAOABA08GbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=AGCbfPIzeZI\x26amp\x3Busg=AFQjCNE-GrUlMypz8DgiMB7OIDuJavNJHA\x22 target=\x22_blank\x22\x3E\x3Cb\x3EWeight Loss\x3C\x2Fb\x3E \x26amp\x3B Fitness: not losing weight.. any helpfull suggestions?\x3C\x2Fa\x3E\x3Cbr\x3E\x3Cfont size=\x22-1\x22\x3E\x3Cspan style=\x22color:#777777\x22\x3E5 posts - 5 authors - Last post: Mar 17, 2013\x3C\x2Fspan\x3E\x3Cbr\x3EI really let myself go and my stomach is disgusting.. So I\x26#39\x3Bve been trying to \x3Cb\x3Elose\x3C\x2Fb\x3E some \x3Cb\x3Eweight\x3C\x2Fb\x3E by June. I\x26#39\x3Bve been eating healthier.. Tons of \x3Cb\x3E...\x3C\x2Fb\x3E\x3Cbr\x3E\x3Ca style=\x22color:#228822\x22 href=\x22http:\x2F\x2Fwww.google.com\x2Furl?sa=X\x26amp\x3Bq=http:\x2F\x2Fforum.baby-gaga.com\x2Fabout2466681.html\x26amp\x3Bct=ga\x26amp\x3Bcad=CAgQARgAIAMoBDAAOABA08GbigVIA1gAYgVlbi1VUw\x26amp\x3Bcd=AGCbfPIzeZI\x26amp\x3Busg=AFQjCNE-GrUlMypz8DgiMB7OIDuJavNJHA\x22 target=\x22_blank\x22 title=\x22http:\x2F\x2Fforum.baby-gaga.com\x2Fabout2466681.html\x22\x3Eforum.baby-gaga.com\x2Fabout2466681.html\x3C\x2Fa\x3E\x3C\x2Ffont\x3E\x3C\x2Ftd\x3E\x3C\x2Ftr\x3E\x3C\x2Ftable\x3E\x3Cbr\x3E\x0A'
//}
//]
//}";

            // to deserialize a string to an object
            //string filteredJsonText = jsonText.Replace("'", "\"");
            //var newobj = fastJSON.JSON.Instance.ToObject(filteredJsonText);

//            string simpleJsonText = @"{
//'query': 'weight loss',
//'frequency': '3',
//'has_recent_results': 1,
//'results': [
//{
//'input': 'NEWS',
//'html': 'xxxxx'
//}
//,
//{
//'input': 'WEB',
//'html': 'yyyyyy'
//}
//]
//}";
//            //string noSpaceJsonText = @"{'query':'weight loss','frequency':'3','has_recent_results':1,'results':[{'input':'NEWS','html':'xxxxx'},{'input':'WEB','html':'yyyyyy'}]}";
//            string noSpaceJsonText = "{'query':'weight loss','frequency':'3','has_recent_results':1,'results':[{'input':'NEWS','html':'xxxxx'},{'input':'WEB','html':'yyyyyy'}]}";
//            string filteredJsonText = noSpaceJsonText.Replace("'", "\"");
//            var newobj = fastJSON.JSON.Instance.ToObject(filteredJsonText);

            //JsonReader reader = new JsonTextReader(new StringReader(jsonText));

            //while (reader.Read())
            //{
            //    Console.WriteLine(reader.TokenType + "\t\t" + reader.ValueType + "\t\t" + reader.Value);
            //}

            //string filteredJsonText = jsonText.Replace("'", "\"");
            
            //string htmlDecodedJson = HttpUtility.HtmlDecode(jsonText); // only decode html entity, NOT decode escape sting: \x0A
            ////string htmlDecodedJson = System.Net.WebUtility.HtmlDecode(jsonText); // need .NET 4.0
            //string filteredJson = filterEscapeSequence(htmlDecodedJson);
            //JavaScriptSerializer serializer = new JavaScriptSerializer();
            //searchResultJson collection = serializer.Deserialize<searchResultJson>(filteredJson);

            parseSearchJson(jsonText);
        }

        void parseSearchJson(string jsonText)
        {
            MatchCollection foundHtmls = Regex.Matches(jsonText, @"'input'\s*:\s*'(?<searchType>[A-Z]+)'\s*,\s*'html'\s*:\s*'(?<resultHtml>[^']+)'");
            if(foundHtmls.Count > 0)
            {
                foreach(Match foundHtml in foundHtmls)
                {
                    string searchType = foundHtml.Groups["searchType"].Value;
                    string resultHtml = foundHtml.Groups["resultHtml"].Value;

                    processResultHtml(searchType, resultHtml);
                }
            }
        }

        //replace "0A" (in \x0A) into '\n'
        private string _replaceEscapeSequenceToChar(Match foundEscapeSequence)
        {
            char[] hexValues = new char[2];
            //string hexChars = foundEscapeSequence.Value.ToString();
            string matchedEscape = foundEscapeSequence.ToString();
            hexValues[0] = matchedEscape[2];
            hexValues[1] = matchedEscape[3];
            string hexValueString = new string(hexValues);
            int convertedInt = int.Parse(hexValueString, NumberStyles.HexNumber, NumberFormatInfo.InvariantInfo);
            char hexChar = Convert.ToChar(convertedInt);
            string hexStr = hexChar.ToString();
            return hexStr;
        }


        public string filterEscapeSequence(string esacapeSequenceStr)
        {
            string filteredStr = Regex.Replace(esacapeSequenceStr, @"\\x\w{2}", new MatchEvaluator(_replaceEscapeSequenceToChar));

            return filteredStr;
        }

        class result
        {
            public string input { get; set; }
            public string html { get; set; }
        }

        class resultCollection
        {
            public IEnumerable<result> results { get; set; }
        }

        //class searchResultJson
        //{
        //    public string query;
        //    public string frequency;
        //    public int has_recent_results;
        //    public resultCollection results;
        //}

        void processGroupsHtml(string groupsHtml)
        {
            XmlDocument xmlDoc = htmlToXmlDoc(groupsHtml);
            //GROUPS
            //DICUSSIONS
            XmlNodeList searchResultItemList = xmlDoc.SelectNodes("//tr/td[@style]");

            //omit first one: it is title, such as "Discussions"
            for (int i = 1; i < searchResultItemList.Count; i++)
            {
                searchItemInfo singleItemInfo = new searchItemInfo();

                XmlNode searchResultItem = searchResultItemList[i];
                //<a style="color: #1111CC" href="http://www.google.com/url?sa=X&amp;q=http://books.google.com/books%3Fid%3DQG9SLRn0ZHcC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den&amp;ct=ga&amp;cad=CBYQAxgAIBIoATAAOABA-5CbigVIA1gAYgVlbi1VUw&amp;cd=oNvPPtdXP6M&amp;usg=AFQjCNG1QbT5Uhqp6a8765bFn83RYPF8KA" target="_blank">Weight Loss Boss: How to Finally Win at Losing--and Take Charge in ...</a>
                //XmlNode titleUrlNode = xmlDoc.SelectSingleNode("//a[@style='color: #1111CC', target='_blank']");
                XmlNode titleUrlNode = searchResultItem.SelectSingleNode(".//a[@style='color: #1111CC']");
                if (titleUrlNode != null)
                {
                    singleItemInfo.title = titleUrlNode.InnerText.Trim();
                    singleItemInfo.googleUrl = titleUrlNode.Attributes["href"].Value;
                    singleItemInfo.originalUrl = getOriginalUrlFromGooleUrl(singleItemInfo.googleUrl);
                }

                //<br>9 hours ago <b>...</b> Horizon <b>weight loss</b>. Posted in the Ashland Forum. Share. Read. Comments below. Add to my Tracker. More Ashland Discussions ? <b>...</b><br><a style
                if (crifanLib.extractSingleStr(@"<br ?/?>([^=]+)<br ?/?><a style", searchResultItem.OuterXml, out singleItemInfo.description))
                {
                    processEachSearchItem(singleItemInfo);
                }
                else 
                {
 
                }
            }
        }
        
        void processNewsHtml(string newsHtml)
        {
            XmlDocument xmlDoc = htmlToXmlDoc(newsHtml);
            XmlNodeList searchResultItemList = xmlDoc.SelectNodes("//tr/td/table/tr");
            //NEWS
            //omit first one: it is title, such as "News"
            for (int i = 1; i < searchResultItemList.Count; i++)
            {

                searchItemInfo singleItemInfo = new searchItemInfo();

                XmlNode searchResultItem = searchResultItemList[i];
                XmlNode titleUrlNode = searchResultItem.SelectSingleNode(".//a[@style='color: #1111CC']");
                if (titleUrlNode != null)
                {
                    singleItemInfo.title = titleUrlNode.InnerText.Trim();
                    singleItemInfo.googleUrl = titleUrlNode.Attributes["href"].Value;
                    singleItemInfo.originalUrl = getOriginalUrlFromGooleUrl(singleItemInfo.googleUrl);
                }

                //</a><br>Describing herself as someone who is “not naturally very thin,” she added that she has to work to keep her body in shape. She told the magazine that 80 percent of her post-baby <b>weight loss</b> resulted from cutting back on food. “I ate a very low-calorie diet.<br><a
                if (crifanLib.extractSingleStr(@"</a><br ?/?>([^=]+)<br ?/?><a", searchResultItem.OuterXml, out singleItemInfo.description))
                {
                    processEachSearchItem(singleItemInfo);
                }
            }
        }

        void processBooksHtml(string booksHtml)
        {
            XmlDocument xmlDoc = htmlToXmlDoc(booksHtml);
            XmlNodeList searchResultItemList = xmlDoc.SelectNodes("//tr/td/table/tr");
            //BOOKS
            //omit first one: it is title, such as "Books"
            for (int i = 1; i < searchResultItemList.Count; i++)
            {
                searchItemInfo singleItemInfo = new searchItemInfo();

                XmlNode searchResultItem = searchResultItemList[i];
                //<a style="color: #1111CC" href="http://www.google.com/url?sa=X&amp;q=http://books.google.com/books%3Fid%3DQG9SLRn0ZHcC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den&amp;ct=ga&amp;cad=CBYQAxgAIBIoATAAOABA-5CbigVIA1gAYgVlbi1VUw&amp;cd=oNvPPtdXP6M&amp;usg=AFQjCNG1QbT5Uhqp6a8765bFn83RYPF8KA" target="_blank">Weight Loss Boss: How to Finally Win at Losing--and Take Charge in ...</a>
                //XmlNode titleUrlNode = xmlDoc.SelectSingleNode("//a[@style='color: #1111CC', target='_blank']");
                XmlNode titleUrlNode = searchResultItem.SelectSingleNode(".//a[@style='color: #1111CC']");
                if (titleUrlNode != null)
                {
                    singleItemInfo.title = titleUrlNode.InnerText.Trim();
                    singleItemInfo.googleUrl = titleUrlNode.Attributes["href"].Value;
                    singleItemInfo.originalUrl = getOriginalUrlFromGooleUrl(singleItemInfo.googleUrl);
                }

                //find description
                //Preview</a><br>The president and CEO of Weight Watchers International and popular Man Meets Scale blogger chronicles the story of his personal weight-loss journey while explaining the strategies, nutritional practices and exercise routines that have been ...<br>
                //Preview</a><br />This new series from Chicken Soup for the Soul - inspirational stories followed by positive, practical medical advice for caregivers and patients - is the perfect blend of emotional support and vital information about weight loss including: ...<br />
                if (crifanLib.extractSingleStr(@"Preview</a><br ?/?>(.+)<br ?/?>", searchResultItem.OuterXml, out singleItemInfo.description))
                {
                    processEachSearchItem(singleItemInfo);
                }
            }
        }


        void processVideoHtml(string videoHtml)
        {
            XmlDocument xmlDoc = htmlToXmlDoc(videoHtml);
            XmlNodeList searchResultItemList = xmlDoc.SelectNodes("//tr/td/table/tr");
            //VIDEO
            //omit first one: it is title, such as "Video"
            for (int i = 1; i < searchResultItemList.Count; i++)
            {
                searchItemInfo singleItemInfo = new searchItemInfo();
                XmlNode searchResultItem = searchResultItemList[i];
                XmlNode titleUrlNode = searchResultItem.SelectSingleNode(".//a[@style='color: #1111CC']");
                if (titleUrlNode != null)
                {
                    singleItemInfo.title = titleUrlNode.InnerText.Trim();
                    singleItemInfo.googleUrl = titleUrlNode.Attributes["href"].Value;
                    singleItemInfo.originalUrl = getOriginalUrlFromGooleUrl(singleItemInfo.googleUrl);
                }

                //<br /><font size="-1">"It's definitely hard to have alone time," the new mom says of life since her son Lorenzo's <b>...</b><br /><a style="text-decoration
                //<br />Meet Big John Drury, a 43-year-old truck driver who has lost over 100 pounds <b>...</b> Now he's a <b>...</b><br /><a style="text-decoration
                if (crifanLib.extractSingleStr(@"<br ?/?>(?:<font size=""-1"">)?([^=]+)<br ?/?><a style=""text-decoration", searchResultItem.OuterXml, out singleItemInfo.description))
                {
                    processEachSearchItem(singleItemInfo);
                }
                else
                {
 
                }

            }
        }


        void processBlogHtml(string blogHtml)
        {
            XmlDocument xmlDoc = htmlToXmlDoc(blogHtml);
            XmlNodeList searchResultItemList = xmlDoc.SelectNodes("//tr/td[@style]");
            //BLOG
            //omit first one: it is title, such as "Blogs"
            for (int i = 1; i < searchResultItemList.Count; i++)
            {
                searchItemInfo singleItemInfo = new searchItemInfo();

                XmlNode searchResultItem = searchResultItemList[i];
                XmlNode titleUrlNode = searchResultItem.SelectSingleNode(".//a[@style='color: #1111CC']");
                if (titleUrlNode != null)
                {
                    singleItemInfo.title = titleUrlNode.InnerText.Trim();
                    singleItemInfo.googleUrl = titleUrlNode.Attributes["href"].Value;
                    singleItemInfo.originalUrl = getOriginalUrlFromGooleUrl(singleItemInfo.googleUrl);
                }

                //</font><br>By Mirembe Martina. Honey Boo Boo&#39;s mother, June Shannon showed off her 100 pound <em>weight loss</em> during the GLAAD Media awards. The awards took place in New York by IBM and Prudential at the Marriott Marquis on Saturday night.<br><font
                if (crifanLib.extractSingleStr(@"</font><br ?/?>([^=]+)<br ?/?><font", searchResultItem.OuterXml, out singleItemInfo.description))
                {
                    processEachSearchItem(singleItemInfo);
                }

            }
        }


        void processResultHtml(string searchType, string resultHtml)
        {
            //BOOKS
            //GROUPS - DICUSSIONS
            //BLOG
            //NEWS
            //VIDEO

            string decodedHtml = HttpUtility.HtmlDecode(resultHtml); // only decode html entity, NOT decode escape sting: \x0A
            string filtedEscapeHtml = filterEscapeSequence(decodedHtml);
            string addedHeaderHtml = "<html>" + filtedEscapeHtml + "</html>";

            string html = addedHeaderHtml;

            if (searchType.Equals("NEWS"))
            {
                processNewsHtml(html);
            }
            else if (searchType.Equals("BLOG"))
            {
                processBlogHtml(html);
            }
            else if (searchType.Equals("VIDEO"))
            {
                processVideoHtml(html);
            }
            else if (searchType.Equals("GROUPS"))
            {
                processGroupsHtml(html);
            }
            else if (searchType.Equals("BOOKS"))
            {
                processBooksHtml(html);
            }
            else if (searchType.Equals("WEB"))
            {
                //processWebHtml(html);
            }
        }

        public string getOriginalUrlFromGooleUrl(string googleUrl)
        {
            string originalUrl = "";
            //http://www.google.com/url?sa=X&q=http://books.google.com/books%3Fid%3DQG9SLRn0ZHcC%26printsec%3Dfrontcover%26dq%3Dweight%2Bloss%26hl%3Den&ct=ga&cad=CBYQAxgAIBIoATAAOABA-5CbigVIA1gAYgVlbi1VUw&cd=oNvPPtdXP6M&usg=AFQjCNG1QbT5Uhqp6a8765bFn83RYPF8KA
            string urlPart = "";
            if (crifanLib.extractSingleStr(@"q=(http[^&]+)&", googleUrl, out urlPart))
            {
                originalUrl = HttpUtility.UrlDecode(urlPart);
                //originalUrl = Server.UrlDecode(urlPart);
            }

            return originalUrl;
        }

        void drawRowHeaderNumer(DataGridView dgvValue)
        {
            //draw the row index
            for (int count = 0; (count <= (dgvSearchedAlerts.Rows.Count - 1)); count++)
            {
                dgvValue.Rows[count].HeaderCell.Value = String.Format("{0}", count + 1);
                //dgvValue.Rows[count].HeaderCell.Value = string.Format((count + 1).ToString(), "0");
            }
        }

        void processEachSearchItem(searchItemInfo singleItemInfo)
        {
            dgvSearchedAlerts.Rows.Add(
                singleItemInfo.title,
                singleItemInfo.originalUrl,
                singleItemInfo.description);

            drawRowHeaderNumer(dgvSearchedAlerts);

            //update UI
            System.Windows.Forms.Application.DoEvents();
        }

        public struct searchItemInfo
        {
            public string title;
            public string googleUrl; // with google appendix
            public string originalUrl;
            public string description;
        };
        

        private void btnLoginGoogle_Click(object sender, EventArgs e)
        {
            //step1: https://www.google.com/
            string googleMainUrl = "https://www.google.com/";
            HttpWebResponse mainResp = crifanLib.getUrlResponse(googleMainUrl);
            //string mainRespHtml = crifanLib.getUrlRespHtml(googleMainUrl);

            if (mainResp != null)
            {
                MessageBox.Show("OK for step1: " + googleMainUrl);
            }

            //step2: https://accounts.google.com/ServiceLogin?hl=en&continue=https://www.google.com.hk/
            string serviceLoginUrl = "https://accounts.google.com/ServiceLogin?hl=en&continue=https://www.google.com.hk/";
            string serviceLoginRespHtml = crifanLib.getUrlRespHtml(serviceLoginUrl);
            //HttpWebResponse serviceLoginResp = crifanLib.getUrlResponse(serviceLoginUrl);

            //(1)dsh
            //  name="dsh" id="dsh" value="1076687533918353426"
            //name="dsh" id="dsh" value="-8920038051690744319"
            string dshValue = "";
            if(crifanLib.extractSingleStr(@"name=""dsh""\s+id=""dsh""\s+value=""([\-\d]+)""", serviceLoginRespHtml, out dshValue))
            {

            }

            //(2)
            //<input type="hidden"
            //       name="GALX"
            //       value="goIJDxmIBok">
            string galxValue = "";
            if (crifanLib.extractSingleStr(@"name=""GALX""\s+value=""(\w+)""", serviceLoginRespHtml, out galxValue))
            {
                MessageBox.Show("OK for step2: galxValue=" + galxValue);
            }

            //step3: https://accounts.google.com/ServiceLoginAuth
            /*
                continue=https%3A%2F%2Fwww.google.com.hk%2F
                dsh=-8258142449249395731
                hl=en
                GALX=JeKuKwpO1kM
                pstMsg=1
                dnConn=
                checkConnection=youtube%3A449%3A0
                checkedDomains=youtube
                timeStmp=
                secTok=
                _utf8=%E2%98%83
                bgresponse=%21A0JshyAfjVtBxUQkh0XxQTU7YQIAAAAeUgAAAAYqAObFsjS5wKDdydyQQLZNu1DZ8VbDsE2l0n72Pki8ePly6msM6-zQgAfxxjiVEPBCBjM--g5vMOErerxreRx10V98U_2enOTLD6hJGdVUadehwIUs9NqlFE5Buq5sijWUfYVvjBVqPHjXfv7nsr518MKHIAlTy5OoU71WWcZYPe1h9nZE4teiMPCbQHCSCxFwIkc0v8kHwpg5esRfGuaKH8i5NH28spLdWpXXopgaqm_WDoKbUmPZYJanTUhe8VX8afHZhBpEXT6VmooANFq6EaMYr5_UcLBgJfUH8An67VIESjSGN0HPKQ
                Email=xxx@gmail.com
                Passwd=xxxxxxxxxxxxxxxx
                signIn=Sign+in
                PersistentCookie=yes
                rmShown=1
             */
            Dictionary<string, string> headerDict = new Dictionary<string, string>();
            headerDict.Add("Referer", serviceLoginUrl);
            headerDict.Add("AllowAutoRedirect", "false"); //disable auto direct to "collect" intermediate cookies, for latter use
            Dictionary<string, string> postDict = new Dictionary<string, string>();
            postDict.Add("continue", "https://www.google.com.hk/");
            postDict.Add("dsh", dshValue);
            postDict.Add("hl", "en");
            postDict.Add("GALX", galxValue);

            postDict.Add("Email", txbEmail.Text);
            postDict.Add("Passwd", txbPassword.Text);
            //postDict.Add("signIn", "Sign+in");
            postDict.Add("signIn", "Sign in");
            postDict.Add("PersistentCookie", "yes");
            string loginGoogleUrl = "https://accounts.google.com/ServiceLoginAuth";
            //songInfo.realAddr = crifanLib.getUrlRespHtml(loginGoogleUrl, headerDict, stHtmlCharset, postDict);    
            //string loginRespHtml = crifanLib.getUrlRespHtml(loginGoogleUrl, headerDict, postDict);
            HttpWebResponse loginResp = crifanLib.getUrlResponse(loginGoogleUrl, headerDict, postDict);


            string checkCookieUrl = loginResp.Headers["Location"].ToString();
            if (loginResp != null)
            {
                MessageBox.Show("OK for step3: checkCookieUrl=" + checkCookieUrl);
            }

            //step 4:
            //https://accounts.google.com/CheckCookie?continue=http%3A%2F%2Fwww.google.com.hk%2F&hl=en&chtml=LoginDoneHtml&checkedDomains=youtube&pstMsg=1
            
            headerDict = new Dictionary<string, string>();
            headerDict.Add("Referer", serviceLoginUrl);
            headerDict.Add("AllowAutoRedirect", "false"); //disable auto direct to get follow SetSID url           
            HttpWebResponse checkCookieResp = crifanLib.getUrlResponse(checkCookieUrl, headerDict);

            if (checkCookieResp != null)
            {
                MessageBox.Show("OK for step4: checkCookieResp OK");
            }

            //step5:
            string setSidUrl = checkCookieResp.Headers["Location"].ToString();
            //https://accounts.google.com.hk/accounts/SetSID?ssdc=1&sidt=ALWU2cvJkixPgxsSKW%2FcQGNuwdI6xSYJ6vDOlR%2FIQTZ%2BYFdgoHfCMHhwtirBMvOdf1%2FheS3W40l8zXqDbNva9ncceD%2BWMYOMmlJulirhNmdXC9DzTO5VSAaiwJfIeE9yvVeWHcjtCi5bPKlhufDt6R0ZDwmVYnYW39ysHwAw0b7cMlx5lCI3guMWukWhnPwgnCO7eDfJ6wvdgGnaPYtdRCrzL%2FY8chelqeyzp%2BKsMv97hrF7mmzwnf9BgdIF29MMJHYWCvBfI6VPZ0iRjR4KqwZrqkug9BRsE0lcGkgI2Qi1OjB0aS3wJIj1d4J589t6BVWqnT%2BsN1fu3VYS%2B6U6l5J6j0vFqkT%2BBwLcvYmjf%2FwnoU19GnT09bWOAS8RsotBnV6sYoysna85&continue=http%3A%2F%2Fwww.google.com.hk%2F
            headerDict = new Dictionary<string, string>();
            headerDict.Add("Referer", serviceLoginUrl);
            headerDict.Add("AllowAutoRedirect", "false"); //disable auto direct to get follow SetSID url
            string setSidHtml = crifanLib.getUrlRespHtml(setSidUrl, headerDict);
            //location.replace("http://www.google.com.hk/")
            string redirectUrl = "";
            if (crifanLib.extractSingleStr(@"location\.replace\(""(http.+?)""\)", setSidHtml, out redirectUrl))
            {

            }
            //The document has moved <A HREF="https://www.google.com.hk/">here</A>
            else if (crifanLib.extractSingleStr(@"A\s+HREF=""(http.+?)""", setSidHtml, out redirectUrl))
            {
                MessageBox.Show("OK for step5: redirectUrl=" + redirectUrl);
            }

            //step6:
            //redirecting to :
            //http://www.google.com.hk/
            string realMainHtml = crifanLib.getUrlRespHtml(redirectUrl);
            //search resp html, check whether contain the user email
            //to see wheter login ok
            Match found = new Regex(txbEmail.Text).Match(realMainHtml);
            if (found.Success)
            {
                MessageBox.Show("OK for step6: LOGIN OK");

                afterSuccessfullyLogin();
            }
            else
            {
                MessageBox.Show("Login failed!");
            }
        }

        private void afterSuccessfullyLogin()
        {
            //update values
            cmbDeliverTo.Items.RemoveAt(0);
            cmbDeliverTo.Items.Insert(0, txbEmail.Text);
            cmbDeliverTo.SelectedIndex = 0;

            //goto alert url
            //http://www.google.com/alerts
            string alertsUrl = "http://www.google.com/alerts";
            string alertsHtml = crifanLib.getUrlRespHtml(alertsUrl);

        }

        string getCurResultType()
        {

            //BOOKS
            //http://www.google.com/alerts/preview?q=weight%20loss&t=22&f=6&l=0&e=

            //GROUPS
            //DICUSSIONS
            //http://www.google.com/alerts/preview?q=weight%20loss&t=8&f=6&l=0&e=

            //BLOG
            //http://www.google.com/alerts/preview?q=weight%20loss&t=4&f=6&l=0&e=

            //NEWS
            //http://www.google.com/alerts/preview?q=weight%20loss&t=1&f=6&l=0&e=

            //VIDEO
            //http://www.google.com/alerts/preview?q=weight%20loss&t=9&f=6&l=0&e=


            //everything
            //http://www.google.com/alerts/preview?q=weight%20loss&t=7&f=1&l=0&e=

            //NEWS
            //http://www.google.com/alerts/preview?q=weight%20loss&t=1&f=1&l=0&e=

            //BLOG
            //http://www.google.com/alerts/preview?q=weight%20loss&t=4&f=1&l=0&e=

            //VIDEO
            //http://www.google.com/alerts/preview?q=weight%20loss&t=9&f=1&l=0&e=

            //GROUPS
            //http://www.google.com/alerts/preview?q=weight%20loss&t=8&f=1&l=0&e=

            //BOOKS
            //http://www.google.com/alerts/preview?q=weight%20loss&t=22&f=1&l=0&e=


            string curResultType = "";
            switch (cmbResultType.SelectedIndex)
            {
                case 0:
                    curResultType = "7"; //everything
                    break;
                case 1:
                    curResultType = "1";//NEWS
                    break;
                case 2:
                    curResultType = "4";//BLOG
                    break;
                case 3:
                    curResultType = "9";//VIDEOS
                    break;
                case 4:
                    curResultType = "8";//GROUPS -> dicussion
                    break;
                case 5:
                    curResultType = "22";//BOOKS
                    break;
                default:
                    curResultType = "7";
                    break;

            }
            return curResultType;
        }


        string getCurHowOften()
        {
            //as-it-happens
            //http://www.google.com/alerts/preview?q=weight%20loss&t=22&f=0&l=0&e=
            
            //once a day
            //http://www.google.com/alerts/preview?q=weight%20loss&t=22&f=1&l=0&e=

            //once a week
            //http://www.google.com/alerts/preview?q=weight%20loss&t=22&f=6&l=0&e=

            string curHowOften = "";
            switch (cmbHowOften.SelectedIndex)
            {
                case 0:
                    curHowOften = "0"; //as-it-happens
                    break;
                case 1:
                    curHowOften = "1";//once a day
                    break;
                case 2:
                    curHowOften = "6";//once a week
                    break;
                default:
                    curHowOften = "0";
                    break;

            }
            return curHowOften;
        }


        string getCurHowMany()
        {
            //only the best results
            //http://www.google.com/alerts/preview?q=weight%20loss&t=22&f=6&l=0&e=

            //all results
            //http://www.google.com/alerts/preview?q=weight%20loss&t=22&f=6&l=1&e=

            string curHowMany = "";
            switch (cmbHowMany.SelectedIndex)
            {
                case 0:
                    curHowMany = "0"; //only the best results
                    break;
                case 1:
                    curHowMany = "1";//all results
                    break;
                default:
                    curHowMany = "0";
                    break;

            }
            return curHowMany;
        }

        private void btnSearchAlert_Click(object sender, EventArgs e)
        {
            //http://www.google.com/alerts/preview?q=weight%20loss&t=7&f=1&l=0&e=
            string searchAlertBaseUrl = "http://www.google.com/alerts/preview?";
            searchAlertBaseUrl += "q=" + HttpUtility.UrlPathEncode(txbSearchQuery.Text);
            searchAlertBaseUrl += "&t=" + getCurResultType();
            searchAlertBaseUrl += "&f=" + getCurHowOften();
            searchAlertBaseUrl += "&l=" + getCurHowMany();
            searchAlertBaseUrl += "&e=" + "";
            string searchRespJson = crifanLib.getUrlRespHtml(searchAlertBaseUrl);
            
            //testJson();
            parseSearchJson(searchRespJson);
        }

        private void btnExpAlertToExcel_Click(object sender, EventArgs e)
        {
            Excel.Application xlApp = new Excel.Application();
            Excel.Workbook xlWorkBook;
            Excel.Worksheet xlWorkSheet;

            object misValue = System.Reflection.Missing.Value;
            xlApp = new Excel.ApplicationClass();
            xlWorkBook = xlApp.Workbooks.Add(misValue);
            xlWorkSheet = (Excel.Worksheet)xlWorkBook.Worksheets.get_Item(1);
            int i = 0;
            int j = 0;

            
            //save header
            for (i = 0; i <= dgvSearchedAlerts.ColumnCount - 1; i++)
            {
                xlWorkSheet.Cells[0 + 1, i + 1] = dgvSearchedAlerts.Columns[i].HeaderText;
            }

            //save cells
            for (i = 0; i <= dgvSearchedAlerts.RowCount - 1; i++)
            {
                for (j = 0; j <= dgvSearchedAlerts.ColumnCount - 1; j++)
                {
                    DataGridViewCell cell = dgvSearchedAlerts[j, i];
                    xlWorkSheet.Cells[i + 2, j + 1] = cell.Value;
                }
            }

            //formatting
            //header to bold
            Range headerRow = xlWorkSheet.get_Range("1:1", System.Type.Missing);
            headerRow.Font.Bold = true;

            string outputFilename = "GoogleAlert - " + txbSearchQuery.Text + ".xls";
            string fullFilename = Path.Combine(getSaveFolder(), outputFilename);
            //xlWorkBook.SaveAs(fullFilename, Excel.XlFileFormat.xlWorkbookNormal, misValue, misValue, misValue, misValue, Excel.XlSaveAsAccessMode.xlExclusive, misValue, misValue, misValue, misValue, misValue);
            xlWorkBook.SaveAs(fullFilename, Excel.XlFileFormat.xlWorkbookNormal, misValue, misValue, misValue, misValue, Excel.XlSaveAsAccessMode.xlExclusive, XlSaveConflictResolution.xlLocalSessionChanges, misValue, misValue, misValue, misValue);
            xlWorkBook.Close(true, misValue, misValue);
            xlApp.Quit();

            releaseObject(xlWorkSheet);
            releaseObject(xlWorkBook);
            releaseObject(xlApp);

            openFolderAndSelectFile(fullFilename);
        }

        private void btnExpAlertToCsv_Click(object sender, EventArgs e)
        {
            //settings
            //string delimiter = "|";
            string delimiter = ",";

            string outputFilename = "GoogleAlert - " + txbSearchQuery.Text + ".csv";
            string fullFilename = Path.Combine(getSaveFolder(), outputFilename);

            StreamWriter csvStreamWriter = new StreamWriter(fullFilename, false, System.Text.Encoding.UTF8);

            //output header data
            string strHeader = "";
            for (int i = 0; i < dgvSearchedAlerts.Columns.Count; i++)
            {
                strHeader += dgvSearchedAlerts.Columns[i].HeaderText + delimiter;
            }
            csvStreamWriter.WriteLine(strHeader);

            //output rows data
            for (int j = 0; j < dgvSearchedAlerts.Rows.Count; j++)
            {
                string strRowValue = "";

                for (int k = 0; k < dgvSearchedAlerts.Columns.Count; k++)
                {
                    strRowValue += dgvSearchedAlerts.Rows[j].Cells[k].Value + delimiter;
                }
                csvStreamWriter.WriteLine(strRowValue);
            }

            csvStreamWriter.Close();

            //after save file
            openFolderAndSelectFile(fullFilename);
        }

        private void btnClearSearchAlert_Click(object sender, EventArgs e)
        {
            dgvSearchedAlerts.Rows.Clear();
        }

    }

}
